/*

script to manually update wiki: open devtools(F12) inside any wikipedia.org page (cos browser CORS protection) and run

fetch('https://en.wikipedia.org/w/api.php?action=parse&format=json&page=Glossary_of_music_terminology&formatversion=2')
.then(x=>x.json())
.then(x=>{
var d=(new DOMParser()).parseFromString(x.parse.text, 'text/html')
;[...d.querySelectorAll('style')].map(y=>y.remove()) 
return [...d.querySelectorAll('dt')]
.filter(x=>!x.querySelector('[role="math"]'))
.map(x=>({
   item:x.innerText
  ,def:x.nextElementSibling.innerText.replace(/\n/g,'. ').replace(/\[\d+\]/g,'')
  ,tag:['wiki']
}))
})
.then(x=>window.t=x)
.then(es=>
  console.log(es.map(x=>`${escape(x.item.toString())}\t${escape(x.def.toString())}`).join('|\\\n'))
)

*/
import MuseScore 3.0
import QtQuick 2.9
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.2
import Qt.labs.settings 1.0
import QtQuick.Dialogs 1.1
MuseScore { Item{Component.onCompleted:oncompletelast()} //first append last run
  Item{
    id:usersettings
    property var keyExpTxt:[Qt.Key_Return,Qt.Key_Enter]   //   https://doc.qt.io/qt-5/qt.html#Key-enum
    property string andPre:'da:'
    property string orPre:'d:'
    property int tooltipdelay:500
    property int inputdebounce:200
  }
  Item{
    Component.onCompleted: {pluginscope.dict.push({ver:"24Jan2023", tag:'wiki', esc:true, tsv:tsv})}
    property string tsv:
"1%u2032	%22sifflet%22%20or%20one%20foot%20organ%20stop|\
I	usually%20for%20orchestral%20string%20instruments%2C%20used%20to%20indicate%20that%20the%20player%20should%20play%20the%20passage%20on%20the%20highest-pitched%2C%20thinnest%20string|\
2%u2032	two%20feet%20%u2013%20pipe%20organ%20indication%3B%20see%20Organ%20stop%20%A7%A0Pitch%20and%20length|\
II	usually%20for%20orchestral%20string%20instruments%2C%20used%20to%20indicate%20that%20the%20player%20should%20play%20the%20passage%20on%20the%20string%20adjacent%20to%20the%20highest-pitched%2C%20thinnest%20string%2C%20ie%20the%202nd%20highest%20string|\
II	cymbal%20stop%20on%20pipe%20organ|\
III	usually%20for%20orchestral%20string%20instruments%2C%20used%20to%20indicate%20that%20the%20player%20should%20play%20the%20passage%20on%20string%20adjacent%20to%20%28but%20higher%20in%20pitch%29%20than%20the%20lowest-pitched%2C%20thickest%20string%2C%20ie%20the%20third-highest%20string|\
4%u2032	four%20feet%20%u2013%20pipe%20organ%20rank%20that%20speaks%20one%20octave%20higher%20than%208%u2032|\
IV	usually%20for%20orchestral%20string%20instruments%2C%20used%20to%20indicate%20that%20the%20player%20should%20play%20the%20passage%20on%20the%20lowest-pitched%2C%20thickest%20string%2C%20ie%20the%20fourth-highest%20string|\
IV%u2013VI	mixture%20stop%20on%20pipe%20organ|\
8%u2032	eight-foot%20pipe%20%u2013%20pipe%20organ%20indication|\
16%u2032	sixteen-foot%20pipe%20%u2013%20pipe%20organ%20indication%20calling%20for%20one%20octave%20below%208%u2032|\
32%u2032	thirty-two-foot%20pipe%20%u2013%20pipe%20organ%20indication%20calling%20for%20two%20octaves%20below%208%u2032%20also%20called%20sub-bass|\
64%u2032	sixty-four-foot%20pipe%20%u2013%20pipe%20organ%20indication%20%28only%20a%20few%20organs%20have%20this%20deep%20a%20pitch%29|\
a%20or%20%E0%20%28Fr.%29	at%2C%20to%2C%20by%2C%20for%2C%20in|\
%E0%20la%20%28Fr.%29	in%20the%20style%20of...|\
a%20battuta	Return%20to%20normal%20tempo%20after%20a%20deviation.%20Not%20recommended%20in%20string%20parts%2C%20due%20to%20possible%20confusion%20with%20battuto%20%28qv.%29%3B%20use%20a%20tempo%2C%20which%20means%20the%20same%20thing|\
a%20bene%20placito	Up%20to%20the%20performer|\
a%20cappella	lit.%20%22as%20in%20a%20chapel%22%3B%20vocal%20parts%20only%2C%20without%20instrumental%20accompaniment|\
a%20capriccio	A%20free%20and%20capricious%20approach%20to%20tempo|\
a%20due%20%28a%202%29	intended%20as%20a%20duet%3B%20for%20two%20voices%20or%20instruments%3B%20together%3B%20two%20instruments%20are%20to%20play%20in%20unison%20after%20a%20solo%20passage%20for%20one%20of%20the%20instruments|\
a%20niente	To%20nothing%3B%20indicating%20a%20diminuendo%20which%20fades%20completely%20away|\
a%20piacere	At%20pleasure%20%28i.e.%20the%20performer%20need%20not%20follow%20the%20rhythm%20strictly%2C%20for%20example%20in%20a%20cadenza%29|\
a%20prima%20vista	lit.%20%22at%20first%20sight%22.%20Sight-reading%20%28i.e.%20played%20or%20sung%20from%20written%20notation%20but%20without%20prior%20review%20of%20the%20written%20material%3B%20refer%20to%20the%20figure%29|\
a%20tempo	In%20time%20%28i.e.%20the%20performer%20should%20return%20to%20the%20main%20tempo%20of%20the%20piece%2C%20such%20as%20after%20an%20accelerando%20or%20ritardando%29%3B%20also%20may%20be%20found%20in%20combination%20with%20other%20terms%20such%20as%20a%20tempo%20giusto%20%28in%20strict%20time%29%20or%20a%20tempo%20di%20menuetto%20%28at%20the%20speed%20of%20a%20minuet%29|\
ab%20%28Ger.%29	off%2C%20organ%20stops%20or%20mutes|\
abafando%20%28Port.%29	muffled%2C%20muted|\
abandon%20or%20avec%20%28Fr.%29	free%2C%20unrestrained%2C%20passionate|\
abbandonatamente%2C%20con%20abbandono	freely%2C%20in%20relaxed%20mode|\
aber%20%28Ger.%29	but|\
accarezzevole	Expressive%20and%20caressing|\
accelerando%20%28accel.%29	Accelerating%3B%20gradually%20increasing%20the%20tempo|\
accelerato	with%20increased%20tempo|\
accent	Accent%2C%20emphasis|\
accentato/accentuato	Accented%3B%20with%20emphasis|\
acceso	Ignited%2C%20on%20fire|\
accessible	Music%20that%20is%20easy%20to%20listen%20to/understand|\
acciaccato	Broken%20down%2C%20crushed%3B%20the%20sounding%20of%20the%20notes%20of%20a%20chord%20not%20quite%20simultaneously%2C%20but%20from%20bottom%20to%20top|\
acciaccatura	Crushing%20%28i.e.%20a%20very%20fast%20grace%20note%20that%20is%20%22crushed%22%20against%20the%20note%20that%20follows%20and%20takes%20up%20no%20value%20in%20the%20measure%29|\
accidental	A%20note%20that%20is%20not%20part%20of%20the%20scale%20indicated%20by%20the%20key%20signature.|\
accompagnato	Accompanied%20%28i.e.%20with%20the%20accompaniment%20following%20the%20soloist%2C%20who%20may%20speed%20up%20or%20slow%20down%20at%20will%29|\
accuratezza	Precision%3B%20accuracy.%20con%20accuratezza%3A%20with%20precision|\
acoustic	Relating%20to%20music%20produced%20by%20instruments%2C%20as%20opposed%20to%20electric%20or%20electronic%20means|\
ad%20libitum%20%28commonly%20ad%20lib%3B%20Latin%29	At%20liberty%20%28i.e.%20the%20speed%20and%20manner%20of%20execution%20are%20left%20to%20the%20performer.%20It%20can%20also%20mean%20improvisation.%29|\
adagietto	Fairly%20slowly%20%28but%20faster%20than%20adagio%29|\
adagio	Slowly|\
adagissimo	Very%2C%20very%20slowly|\
affannato%2C%20affannoso	Anguished|\
affetto%20or%20con%20affetto	with%20affect%20%28that%20is%2C%20with%20emotion%29|\
affettuoso%2C%20affettuosamente%2C%20or%20affectueusement%20%28Fr.%29	With%20affect%20%28that%20is%2C%20with%20emotion%29%3B%20see%20also%20con%20affetto|\
affrettando	Hurrying%2C%20pressing%20onwards|\
agile	Agile%2C%20nimble|\
agitato	Agitated|\
al%20or%20alla	To%20the%2C%20in%20the%20manner%20of%20%28al%20before%20masculine%20nouns%2C%20alla%20before%20feminine%29|\
alcuna%20licenza	Used%20in%20con%20alcuna%20licenza%2C%20meaning%20%28play%29%20with%20some%20freedom%20in%20the%20time%2C%20see%20rubato|\
alla%20breve	In%20cut-time%3B%20two%20beats%20per%20measure%20or%20the%20equivalent%20thereof|\
alla%20marcia	In%20the%20style%20of%20a%20march|\
alla%20polacca	In%20the%20style%20of%20a%20polonaise%2C%20a%2034%20dance|\
allargando	Broadening%2C%20becoming%20progressively%20slower|\
allegretto	A%20little%20lively%2C%20moderately%20fast|\
allegretto%20vivace	A%20moderately%20quick%20tempo|\
allegrezza	Cheerfulness%2C%20joyfulness|\
allegrissimo	Very%20fast%2C%20though%20slower%20than%20presto|\
allegro	Cheerful%20or%20brisk%3B%20but%20commonly%20interpreted%20as%20lively%2C%20fast|\
all%27ottava	%22at%20the%20octave%22%2C%20see%20ottava|\
alt%20%28Eng.%29%2C%20alt%20dom%2C%20or%20altered%20dominant	A%20jazz%20term%20which%20instructs%20chord-playing%20musicians%20such%20as%20a%20jazz%20pianist%20or%20jazz%20guitarist%20to%20perform%20a%20dominant%20%28V7%29%20chord%20with%20at%20least%20one%20%28often%20both%29%20altered%20%28sharpened%20or%20flattened%29%205th%20or%209th|\
altissimo	Very%20high%3B%20see%20also%20in%20altissimo|\
alto	High%3B%20often%20refers%20to%20a%20particular%20range%20of%20voice%2C%20higher%20than%20a%20tenor%20but%20lower%20than%20a%20soprano|\
alzate%20sordini	Lift%20or%20raise%20the%20mutes%20%28i.e.%20remove%20mutes%29|\
am%20Steg%20%28Ger.%29	At%20the%20bridge%20%28i.e.%20playing%20a%20bowed%20string%20instrument%20near%20its%20bridge%2C%20which%20produces%20a%20heavier%2C%20stronger%20tone%29%3B%20see%20sul%20ponticello|\
amabile	Amiable%2C%20pleasant|\
ambitus	Range%20between%20highest%20and%20lowest%20note|\
amore%20or%20amor%20%28Sp./Port.%2C%20sometimes%20It.%29	Love%3B%20con%20amore%3A%20with%20love%2C%20tenderly|\
amoroso	Loving|\
anacrusis	A%20note%20or%20notes%20that%20precede%20the%20first%20full%20bar%3B%20a%20pickup|\
andamento	Used%20to%20refer%20to%20a%20fugue%20subject%20of%20above-average%20length|\
andante	At%20a%20walking%20pace%20%28i.e.%20at%20a%20moderate%20tempo%29|\
andantino	Slightly%20faster%20than%20andante%20%28but%20earlier%20it%20is%20sometimes%20used%20to%20mean%20slightly%20slower%20than%20andante%29|\
%E4ngstlich%20%28Ger.%29	Anxiously|\
anima	Soul%3B%20con%20anima%3A%20with%20feeling|\
animandosi	Progressively%20more%20animated|\
animato	Animated%2C%20lively|\
antiphon	A%20liturgical%20or%20other%20composition%20consisting%20of%20choral%20responses%2C%20sometimes%20between%20two%20choirs%3B%20a%20passage%20of%20this%20nature%20forming%20part%20of%20another%20composition%3B%20a%20repeated%20passage%20in%20a%20psalm%20or%20other%20liturgical%20piece%2C%20similar%20to%20a%20refrain.|\
antiphonal	A%20style%20of%20composition%20in%20which%20two%20sections%20of%20singers%20or%20instrumentalists%20exchange%20sections%20or%20music%20one%20after%20the%20other%3B%20typically%20the%20performers%20are%20on%20different%20sides%20of%20a%20hall%20or%20venue|\
apais%E9%20%28Fr.%29	Calmed|\
appassionato	Passionate|\
appoggiatura%20or%20leaning%20note	One%20or%20more%20grace%20notes%20that%20take%20up%20some%20note%20value%20of%20the%20next%20full%20note.|\
arco	The%20bow%20used%20for%20playing%20some%20string%20instruments%20%28i.e.%20played%20with%20the%20bow%2C%20as%20opposed%20to%20pizzicato%2C%20in%20music%20for%20bowed%20instruments%29%3B%20normally%20used%20to%20cancel%20a%20pizzicato%20direction|\
aria	Self-contained%20piece%20for%20one%20voice%20usually%20with%20orchestral%20accompaniment%20%28which%20may%20be%20provided%20by%20a%20pianist%20using%20an%20orchestral%20reduction%29|\
arietta	A%20short%20aria|\
arioso	Airy%2C%20or%20like%20an%20air%20%28a%20melody%29%20%28i.e.%20in%20the%20manner%20of%20an%20aria%29%3B%20melodious|\
armonioso	Harmonious|\
arpeggio%2C%20arpeggiato	played%20like%20a%20harp%20%28i.e.%20the%20notes%20of%20the%20chords%20are%20to%20be%20played%20quickly%20one%20after%20another%20instead%20of%20simultaneously%29%3B%20in%20music%20for%20piano%2C%20this%20is%20sometimes%20a%20solution%20in%20playing%20a%20wide-ranging%20chord%20whose%20notes%20cannot%20be%20played%20otherwise%3B%20arpeggios%20are%20frequently%20used%20as%20an%20accompaniment%3B%20see%20also%20broken%20chord|\
articulato	Articulate|\
assai	Much%2C%20Very%20much|\
assez%20%28Fr.%29	Enough%2C%20sufficiently|\
attacca	Attack%20or%20attach%3B%20go%20straight%20on%20%28i.e.%20at%20the%20end%20of%20a%20movement%2C%20a%20direction%20to%20attach%20the%20next%20movement%20to%20the%20previous%20one%2C%20without%20a%20gap%20or%20pause%29.%20Often%20used%20as%20%22attacca%20subito%2C%22%20meaning%20a%20%22sudden%22%20movement%20transition%20%28literally%2C%20%22attack%20suddenly%22%29.|\
Ausdruck%20%28Ger.%29	Expression|\
ausdrucksvoll%20or%20mit%20Ausdruck%20%28Ger.%29	Expressively%2C%20with%20expression|\
avec%20%28Fr.%29	With|\
B	German%20for%20B%20flat%20%28also%20in%20Swedish%2C%20Norwegian%2C%20Finnish%2C%20Icelandic%2C%20Danish%2C%20Croatian%2C%20Estonian%20and%20Hungarian%29%3B%20H%20in%20German%20is%20B%20natural|\
ballabile	%28from%20the%20Italian%20Ballabile%20meaning%20%22danceable%22%29%20In%20ballet%20the%20term%20refers%20to%20a%20dance%20performed%20by%20the%20corps%20de%20ballet.%20The%20term%20Grand%20ballabile%20is%20used%20if%20nearly%20all%20participants%20%28including%20principal%20characters%29%20of%20a%20particular%20scene%20in%20a%20full-length%20work%20perform%20a%20large-scale%20dance.|\
bar%2C%20or%20measure	unit%20of%20music%20containing%20a%20number%20of%20beats%20as%20indicated%20by%20a%20time%20signature%3B%20also%20the%20vertical%20bar%20enclosing%20it.|\
barbaro	Barbarous%20%28notably%20used%20in%20Allegro%20barbaro%20by%20B%E9la%20Bart%F3k%29|\
Bart%F3k%20pizzicato	A%20term%20that%20instructs%20string%20performers%20to%20play%20a%20pizzicato%20note%20to%20pull%20the%20string%20away%20from%20the%20fingerboard%20so%20that%20it%20snaps%20back%20percussively%20on%20the%20fingerboard.|\
bass	The%20lowest%20of%20the%20standard%20four%20voice%20ranges%20%28bass%2C%20tenor%2C%20alto%2C%20soprano%29%3B%20the%20lowest%20melodic%20line%20in%20a%20musical%20composition%2C%20often%20thought%20of%20as%20defining%20and%20supporting%20the%20harmony%3B%20in%20an%20orchestral%20context%2C%20the%20term%20usually%20refers%20to%20the%20double%20bass.|\
basso%20continuo	Continuous%20bass%2C%20i.e.%20a%20bass%20accompaniment%20part%20played%20continuously%20throughout%20a%20piece%20by%20a%20chordal%20instrument%20%28pipe%20organ%2C%20harpischord%2C%20lute%2C%20etc.%29%2C%20often%20with%20a%20bass%20instrument%2C%20to%20give%20harmonic%20structure%3B%20used%20especially%20in%20the%20Baroque%20period|\
battement%20%28Fr.%29	Used%20in%20the%2017th%20century%20to%20refer%20to%20ornaments%20consisting%20of%20two%20adjacent%20notes%2C%20such%20as%20trills%20or%20mordents|\
battuto%20%28Ital.%29	To%20strike%20the%20strings%20with%20the%20bow%20%28on%20a%20bowed%20stringed%20instrument%29|\
beam	Horizontal%20or%20diagonal%20line%20used%20to%20connect%20multiple%20consecutive%20notes.|\
beat	|\
belebt%20or%20belebter%20%28Ger.%29	Spirited%2C%20vivacious%2C%20lively|\
bellicoso	Warlike%2C%20aggressive%20%28English%20cognate%20is%20%22bellicose%22%29|\
ben%20or%20bene	Well%3B%20in%20ben%20marcato%20%28%22well%20marked%22%29%20for%20example|\
bend	Jazz%20term%20referring%20either%20to%20establishing%20a%20pitch%2C%20sliding%20down%20half%20a%20step%20and%20returning%20to%20the%20original%20pitch%20or%20sliding%20up%20half%20a%20step%20from%20the%20original%20note.|\
beschleunigt%20%28Ger.%29	Accelerated%2C%20as%20in%20mit%20beschleunigter%20Geschwindigkeit%2C%20at%20an%20accelerated%20tempo|\
bewegt%20%28Ger.%29	Moved%2C%20with%20speed|\
binary	A%20musical%20form%20in%20two%20sections%3A%20AB|\
bird%27s%20eye	A%20slang%20term%20for%20fermata%2C%20which%20instructs%20the%20performer%20to%20hold%20a%20note%20or%20chord%20as%20long%20as%20they%20wish%20or%20following%20cues%20from%20a%20conductor|\
bis%20%28Fr.%2C%20It.%29	Twice%20%28i.e.%20repeat%20the%20relevant%20action%20or%20passage%29|\
bisbigliando	Whispering%20%28i.e.%20a%20special%20tremolo%20effect%20on%20the%20harp%20where%20a%20chord%20or%20note%20is%20rapidly%20repeated%20at%20a%20low%20volume%29|\
bocca%20chiusa	with%20closed%20mouth%20%28sometimes%20abbreviated%20B.C.%29|\
bravura	Boldness%3B%20as%20in%20con%20bravura%2C%20boldly%2C%20flaunting%20technical%20skill|\
breit%20%28Ger.%29	Broad|\
bridge	|\
brillante	Brilliantly%2C%20with%20sparkle.%20Play%20in%20a%20showy%20and%20spirited%20style.|\
brio%20or%20brioso	Vigour%3B%20usually%20in%20con%20brio%3A%20with%20spirit%20or%20vigour|\
broken%20chord	A%20chord%20in%20which%20the%20notes%20are%20not%20all%20played%20at%20once%2C%20but%20in%20some%20more%20or%20less%20consistent%20sequence.%20They%20may%20follow%20singly%20one%20after%20the%20other%2C%20or%20two%20notes%20may%20be%20immediately%20followed%20by%20another%20two%2C%20for%20example.%20See%20also%20arpeggio%2C%20which%20as%20an%20accompaniment%20pattern%20may%20be%20seen%20as%20a%20kind%20of%20broken%20chord%3B%20see%20Alberti%20bass.|\
bruscamente	Brusquely%2C%20suddenly|\
cabaletta	The%20concluding%2C%20rapid%2C%20audience-rousing%20section%20of%20an%20aria|\
cadence	A%20melodic%20or%20harmonic%20configuration%20that%20creates%20a%20sense%20of%20resolution|\
cadenza	A%20solo%20section%2C%20usually%20in%20a%20concerto%20or%20similar%20work%2C%20that%20is%20used%20to%20display%20the%20performer%27s%20technique%2C%20sometimes%20at%20considerable%20length|\
calando	Falling%20away%2C%20or%20lowering%20%28i.e.%20getting%20slower%20and%20quieter%3B%20ritardando%20along%20with%20diminuendo%29|\
calma	Calm%3B%20so%20con%20calma%2C%20calmly.%20Also%20calmato%20meaning%20calmed%2C%20relaxed|\
calore	Warmth%3B%20so%20con%20calore%2C%20warmly|\
cambiare	To%20change%20%28i.e.%20any%20change%2C%20such%20as%20to%20a%20new%20instrument%29|\
cambiata	An%20ornamental%20tone%20following%20a%20principal%20tone%20by%20a%20skip%20up%20or%20down%2C%20usually%20of%20a%20third%2C%20and%20proceeding%20in%20the%20opposite%20direction%20by%20a%20step%2C%20not%20to%20be%20confused%20with%20changing%20tone.|\
canon%20or%20kanon%20%28Ger.%29	A%20theme%20that%20is%20repeated%20and%20imitated%20and%20built%20upon%20by%20other%20instruments%20with%20a%20time%20delay%2C%20creating%20a%20layered%20effect%3B%20see%20Pachelbel%27s%20Canon.|\
cantabile%20or%20cantando	In%20a%20singing%20style.%20In%20instrumental%20music%2C%20a%20style%20of%20playing%20that%20imitates%20the%20way%20the%20human%20voice%20might%20express%20the%20music%2C%20with%20a%20measured%20tempo%20and%20flexible%20legato.|\
cantilena	a%20vocal%20melody%20or%20instrumental%20passage%20in%20a%20smooth%2C%20lyrical%20style|\
canto	Chorus%3B%20choral%3B%20chant|\
cantus%20mensuratus%20or%20cantus%20figuratus%20%28Lat.%29	Meaning%20respectively%20%22measured%20song%22%20or%20%22figured%20song%22.%20Originally%20used%20by%20medieval%20music%20theorists%2C%20it%20refers%20to%20polyphonic%20song%20with%20exactly%20measured%20notes%20and%20is%20used%20in%20contrast%20to%20cantus%20planus.%20A%20later%20term%20for%20cantus%20mensuratus%20or%20cantus%20figuratus%20is%20cantus%20musicus%20%28%22musical%20song%22%29.|\
capo	1.%20capo%20%28short%20for%20capotasto%3A%20%22nut%22%29%A0%3A%20A%20key-changing%20device%20for%20stringed%20instruments%20%28e.g.%20guitars%20and%20banjos%29|\
capriccio	%22A%20humorous%2C%20fanciful%2C%20or%20bizarre%2C%20composition%2C%20often%20characterized%20by%20an%20idiosyncratic%20departure%20from%20current%20stylistic%20norms.%22%20See%20also%3A%20Capriccio%20%28disambiguation%29|\
capriccioso	Capricious%2C%20unpredictable%2C%20volatile|\
cassa	Drum%2C%20usually%20an%20orchestral%20bass%20drum.%20%20Sometimes%20written%20as%20Gran%20Cassa%20where%20Gran%20specifically%20means%20Bass|\
cavalleresco	Chivalrous%20%28used%20in%20Carl%20Nielsen%27s%20violin%20concerto%29|\
c%E9dez%20%28Fr.%29	Yield%2C%20give%20way|\
cesura%20or%20caesura%20%28Lat.%29	Break%2C%20stop%3B%20%28i.e.%20a%20complete%20break%20in%20sound%29%20%28sometimes%20nicknamed%20%22railroad%20tracks%22%20in%20reference%20to%20their%20appearance%29|\
chiuso	Closed%20%28i.e.%20muted%20by%20hand%29%20%28for%20a%20horn%2C%20or%20similar%20instrument%3B%20but%20see%20also%20bocca%20chiusa%2C%20which%20uses%20the%20feminine%20form%29|\
coda	A%20tail%20%28i.e.%20a%20closing%20section%20appended%20to%20a%20movement%29|\
codetta	A%20small%20coda%2C%20but%20usually%20applied%20to%20a%20passage%20appended%20to%20a%20section%20of%20a%20movement%2C%20not%20to%20a%20whole%20movement|\
col%20or%20colla	with%20the%20%28col%20before%20a%20masculine%20noun%2C%20colla%20before%20a%20feminine%20noun%29%3B%20%28see%20next%20for%20example%29|\
col%20canto	with%20the%20singing%2C%20see%20%20colla%20voce|\
col%20legno	with%20the%20wood%3A%20for%20bowed%20strings%2C%20strike%20the%20strings%20with%20the%20stick%20of%20the%20bow%20%28col%20legno%20battuto%29%20or%20draw%20the%20stick%20across%20the%20strings%20%28col%20legno%20tratto%29|\
col%20pugno	With%20the%20fist%20%28e.g.%2C%20%20bang%20the%20piano%20with%20the%20fist%29|\
coll%27ottava	With%20the%20addition%20of%20the%20octave%20note%20above%20or%20below%20the%20written%20note%3B%20abbreviated%20as%20col%208%2C%20coll%27%208%2C%20and%20c.%208va|\
colla%20parte	literally%20%22with%20the%20part%22.%20An%20indication%20that%20another%20%28written-out%29%20part%20should%20be%20followed%2C%20i.e.%20accommodate%20the%20tempo%2C%20expression%2C%20phrasing%2C%20and%20possible%20rubato%20of%20the%20leading%20part.%20In%20vocal%20music%2C%20also%20expressed%20by%20colla%20voce|\
colla%20voce	literally%20%22with%20the%20voice%22.%20An%20instruction%2C%20in%20a%20choral%20or%20orchestral%20part%2C%20that%20a%20vocal%20part%20should%20be%20followed%2C%20e.g.%2C%20play%20the%20same%20notes%20as%20the%20vocal%20part%20and%20accommodate%20the%20tempo%2C%20expression%2C%20etc.%20of%20the%20vocalist|\
coloratura	Coloration%20%28i.e.%20elaborate%20ornamentation%20of%20a%20vocal%20line%2C%20or%20a%20soprano%20voice%20that%20is%20well-suited%20to%20such%20elaboration%29|\
colossale	Enormous|\
come%20prima	As%20before%2C%20typically%20referring%20to%20an%20earlier%20tempo|\
come%20sopra	As%20above%20%28i.e.%20like%20the%20previous%20tempo%29|\
common%20time	The%20time%20signature%2044%3A%20four%20beats%20per%20measure%2C%20each%20beat%20a%20quarter%20note%20%28a%20crotchet%29%20in%20length.%2044%20is%20often%20written%20on%20the%20musical%20staff%20as%20.%20The%20symbol%20is%20not%20a%20C%20as%20an%20abbreviation%20for%20common%20time%2C%20but%20a%20broken%20circle%3B%20the%20full%20circle%20at%20one%20time%20stood%20for%20triple%20time%2C%2034.|\
comodo	Comfortable%20%28i.e.%20at%20moderate%20speed%29%3B%20also%2C%20allegro%20comodo%2C%20tempo%20comodo%2C%20etc.|\
comp	1.%20abbreviation%20of%20accompanying%2C%20accompanying%20music%2C%20accompaniment|\
comping%20%28jazz%29	1.%20to%20comp%3B%20action%20of%20accompanying.|\
con	With%3B%20used%20in%20very%20many%20musical%20directions%2C%20for%20example%20con%20allegrezza%20%28with%20liveliness%29%2C%20con%20amore%20%28with%20tenderness%29%3B%20%28see%20also%20col%20and%20colla%29|\
con%20dolcezza	See%20dolce|\
con%20sordina%20or%20con%20sordine%20%28plural%29	With%20a%20mute%2C%20or%20with%20mutes.%20Frequently%20seen%20in%20music%20as%20%28incorrect%20Italian%29%20con%20sordino%2C%20or%20con%20sordini%20%28plural%29.|\
concerto	Composition%20for%20solo%20instrument%28s%29%20and%20orchestra|\
concerto%20grosso	Composition%20for%20a%20group%20of%20solo%20instruments%20%28concertino%20or%20soli%29%20and%20orchestra%20%28ripieno%20or%20tutti%29|\
conjunct	An%20adjective%20applied%20to%20a%20melodic%20line%20that%20moves%20by%20step%20%28intervals%20of%20a%202nd%29%20rather%20in%20disjunct%20motion%20%28by%20leap%29.|\
contralto	Lowest%20female%20singing%20voice%20type|\
contrapuntalism	See%20counterpoint|\
coperti	%28plural%20of%20coperto%29%20covered%20%28i.e.%20on%20a%20drum%2C%20muted%20with%20a%20cloth%29|\
corda	String.%20On%20the%20piano%20it%20refers%20to%20use%20of%20the%20soft%20pedal%20which%20controls%20whether%20the%20hammer%20strikes%20one%20or%20three%20strings%3B%20see%20una%20corda%2C%20tre%20corde%20below.|\
count	Series%20of%20regularly%20occurring%20sounds%20to%20assist%20with%20ready%20identification%20of%20beat|\
crescendo	Growing%3B%20%28i.e.%20progressively%20louder%29%20%28contrast%20diminuendo%29|\
cuivr%E9	Brassy.%20Used%20almost%20exclusively%20as%20a%20French%20Horn%20technique%20to%20indicate%20a%20forced%2C%20rough%20tone.%20A%20note%20marked%20both%20stopped%20and%20loud%20will%20be%20cuivr%E9%20automatically|\
custos	Symbol%20at%20the%20very%20end%20of%20a%20staff%20of%20music%20which%20indicates%20the%20pitch%20for%20the%20first%20note%20of%20the%20next%20line%20as%20a%20warning%20of%20what%20is%20to%20come.%20The%20custos%20was%20commonly%20used%20in%20handwritten%20Renaissance%20and%20typeset%20Baroque%20music.|\
cut%20time	Same%20as%20the%20meter%2022%3A%20two%20half-note%20%28minim%29%20beats%20per%20measure.%20Notated%20and%20executed%20like%20common%20time%20%2844%29%2C%20except%20with%20the%20beat%20lengths%20doubled.%20Indicated%20by%20.%20This%20comes%20from%20a%20literal%20cut%20of%20the%20%20symbol%20of%20common%20time.%20Thus%2C%20a%20quarter%20note%20in%20cut%20time%20is%20only%20half%20a%20beat%20long%2C%20and%20a%20measure%20has%20only%20two%20beats.%20See%20also%20alla%20breve.|\
da%20capo	From%20the%20head%20%28i.e.%20from%20the%20beginning%29%20%28see%20also%20capo%29|\
dal%20segno%20%28D.S.%29	From%20the%20sign%20%28%29|\
dal%20segno%20alla%20coda%20%28D.S.%20alla%20coda%29	Repeat%20to%20the%20sign%20and%20continue%20to%20the%20coda%20sign%2C%20then%20play%20coda|\
dal%20segno%20al%20fine%20%28D.S.%20al%20fine%29	From%20the%20sign%20to%20the%20end%20%28i.e.%20return%20to%20a%20place%20in%20the%20music%20designated%20by%20the%20sign%20%20and%20continue%20to%20the%20end%20of%20the%20piece%29|\
dal%20segno%20segno%20alla%20coda%20%28D.S.S.%20alla%20coda%29	Same%20as%20D.S.%20alla%20coda%2C%20but%20with%20a%20double%20segno|\
dal%20segno%20segno%20al%20fine%20%28D.S.S.%20al%20fine%29	From%20the%20double%20sign%20to%20the%20end%20%28i.e.%20return%20to%20place%20in%20the%20music%20designated%20by%20the%20double%20sign%20%28see%20D.S.%20alla%20coda%29%20and%20continue%20to%20the%20end%20of%20the%20piece%29|\
decelerando	Slowing%20down%3B%20decelerating%3B%20opposite%20of%20accelerando%20%28same%20as%20ritardando%20or%20rallentando%29|\
deciso	Firm|\
declamando	Solemn%2C%20expressive%2C%20impassioned|\
decrescendo%20%28decresc.%29	Gradually%20decreasing%20volume%20%28same%20as%20diminuendo%29|\
deest	From%20the%20Latin%20deesse%20meaning%20to%20be%20missing%3B%20placed%20after%20a%20catalogue%20abbreviation%20to%20indicate%20that%20this%20particular%20work%20does%20not%20appear%20in%20it%3B%20the%20plural%2C%20desunt%2C%20is%20used%20when%20referring%20to%20several%20works|\
delicatamente	Delicately|\
delicato	Delicate|\
d%E9tach%E9%20%28Fr.%29	Act%20of%20playing%20notes%20separately|\
devoto	Pious%2C%20religious|\
diminuendo%2C%20dim.	Dwindling%20%28i.e.%20with%20gradually%20decreasing%20volume%29%20%28same%20as%20decrescendo%29|\
disjunct	An%20adjective%20applied%20to%20a%20melodic%20line%20which%20moves%20by%20leap%20%28intervals%20of%20more%20than%20a%202nd%29%20as%20opposed%20to%20conjunct%20motion%20%28by%20step%29|\
di	Of|\
dissonante	Dissonant|\
divisi%20%28div.%29	Divided%20%28i.e.%20in%20a%20part%20in%20which%20several%20musicians%20normally%20play%20exactly%20the%20same%20notes%20they%20are%20instead%20to%20split%20the%20playing%20of%20the%20written%20simultaneous%20notes%20among%20themselves%29%3B%20it%20is%20most%20often%20used%20for%20string%20instruments%2C%20since%20with%20them%20another%20means%20of%20execution%20is%20often%20possible%20%28the%20return%20from%20divisi%20is%20marked%20unisono%29|\
doit	Jazz%20term%20referring%20to%20a%20note%20that%20slides%20to%20an%20indefinite%20pitch%20chromatically%20upwards|\
dolce	Sweet%3B%20con%20dolcezza%3A%20with%20sweetness|\
dolcemente	Sweetly|\
dolcissimo	Very%20sweet|\
dolente	Sorrowful%2C%20plaintive|\
dolore	Pain%2C%20distress%2C%20sorrow%2C%20grief%3B%20con%20dolore%3A%20with%20sadness|\
doloroso	Sorrowful%2C%20plaintive|\
doppio%20movimento	lit.%20Double%20movement%2C%20i.e.%20twice%20as%20fast|\
double%20dot	Two%20dots%20placed%20side%20by%20side%20after%20a%20note%20to%20indicate%20that%20it%20is%20to%20be%20lengthened%20by%20three%20quarters%20of%20its%20value|\
double%20stop	The%20technique%20of%20playing%20two%20notes%20simultaneously%20on%20a%20bowed%20string%20instrument|\
downtempo	A%20slow%2C%20moody%2C%20or%20decreased%20tempo%20or%20played%20or%20done%20in%20such%20a%20tempo.%20It%20also%20refers%20to%20a%20genre%20of%20electronic%20music%20based%20on%20this%20%28downtempo%29|\
drammatico	Dramatic|\
drone	Bass%20note%20or%20chord%20performed%20continuously%20throughout%20a%20composition|\
drop	Jazz%20term%20referring%20to%20a%20note%20that%20slides%20to%20an%20indefinite%20pitch%20chromatically%20downwards|\
duolo	%28Ital.%29%20grief|\
dumpf%20%28Ger.%29	Dull|\
Dur%20%28Ger.%29	major%3B%20used%20in%20key%20signatures%20as%2C%20for%20example%2C%20A-Dur%20%28A%20major%29%2C%20B-Dur%20%28B%u266D%20major%29%2C%20or%20H-Dur%20%28B%20major%29%20%28see%20also%20Moll%20%28minor%29%29|\
dynamics	The%20relative%20volume%20in%20the%20execution%20of%20a%20piece%20of%20music|\
e%20%28Ital.%29%20or%20ed%20%28Ital.%2C%20used%20before%20vowels%29	And|\
eco	The%20Italian%20word%20for%20%22echo%22%3B%20an%20effect%20in%20which%20a%20group%20of%20notes%20is%20repeated%2C%20usually%20more%20softly%2C%20and%20perhaps%20at%20a%20different%20octave%2C%20to%20create%20an%20echo%20effect|\
%E9gal%20%28Fr.%29	Equal|\
eilend%20%28Ger.%29	Hurrying|\
ein%20wenig%20%28Ger.%29	A%20little|\
einfach%20%28Ger.%29	Simple|\
emport%E9%20%28Fr.%29	Fiery%2C%20impetuous|\
en%20animant%20%28Fr.%29	Becoming%20very%20lively|\
en%20c%E9dant%20%28Fr.%29	Yielding|\
en%20dehors%20%28Fr.%29	Prominently%2C%20a%20directive%20to%20make%20the%20melody%20stand%20out|\
en%20mesure%20%28Fr.%29	In%20time|\
en%20pressant%20%28Fr.%29	Hurrying%20forward|\
en%20retenant%20%28Fr.%29	Slowing%2C%20holding%20back|\
en%20serrant%20%28Fr.%29	Becoming%20quicker|\
encore%20%28Fr.%29	Again%20%28i.e.%20a%20request%20to%20perform%20once%20more%20a%20passage%20or%20a%20piece%29%3B%20a%20performer%20returning%20to%20the%20stage%20to%20perform%20an%20unlisted%20piece|\
energico	Energetic%2C%20strong|\
enfatico	Emphatic|\
eroico	Heroic|\
espansivo	Effusive%3B%20excessive%20in%20emotional%20expression%3B%20gushy|\
espirando	Expiring%20%28i.e.%20dying%20away%29|\
espressione	Expression%3B%20e.g.%20con%20%28gran%2C%20molta%29%20espressione%3A%20with%20%28great%2C%20much%29%20expression|\
espressivo%2C%20espress.%20or%20espr.	%28Italian%29%20Expressive|\
estinto	Extinct%2C%20extinguished%20%28i.e.%20as%20soft%20as%20possible%2C%20lifeless%2C%20barely%20audible%29|\
esultazione	Exultation|\
et%20%28Fr.%29	And|\
%C9tude%20%28Fr.%29	A%20composition%20intended%20for%20practice|\
etwas%20%28Ger.%29	As%20an%20adverb%2C%20little%2C%20somewhat%2C%20slightly|\
etwas%20bewegter%20%28Ger.%29	Moving%20forward%20a%20little|\
facile	Easy|\
fall	Jazz%20term%20describing%20a%20note%20of%20definite%20pitch%20sliding%20downwards%20to%20another%20note%20of%20definite%20pitch|\
falsetto	vocal%20register%20above%20the%20normal%20voice|\
fantasia	A%20piece%20not%20adhering%20to%20any%20strict%20musical%20form%3B%20can%20also%20be%20used%20in%20con%20fantasia%3A%20with%20imagination|\
feierlich%20%28Ger.%29	Solemn%2C%20solemnly|\
fermata	Stop%20%28i.e.%20a%20rest%20or%20note%20to%20be%20held%20for%20a%20duration%20that%20is%20at%20the%20discretion%20of%20the%20performer%20or%20conductor%29%20%28sometimes%20called%20bird%27s%20eye%29%3B%20a%20fermata%20at%20the%20end%20of%20a%20first%20or%20intermediate%20movement%20or%20section%20is%20usually%20moderately%20prolonged%2C%20but%20the%20final%20fermata%20of%20a%20symphony%20may%20be%20prolonged%20for%20longer%20than%20the%20note%27s%20value%2C%20typically%20twice%20its%20printed%20length%20or%20more%20for%20dramatic%20effect|\
feroce	Ferocious|\
festivamente	Cheerfully%2C%20in%20a%20celebratory%20mode|\
feurig%20%28Ger.%29	Fiery|\
fieramente	Proudly|\
fil%20di%20voce	%22thread%20of%20voice%22%2C%20very%20quiet%2C%20pianissimo|\
fill%20%28Eng.%29	A%20jazz%20or%20rock%20term%20which%20instructs%20performers%20to%20improvise%20a%20scalar%20passage%20or%20riff%20to%20%22fill%20in%22%20the%20brief%20time%20between%20lyrical%20phrases%2C%20the%20lines%20of%20melody%2C%20or%20between%20two%20sections|\
fine	The%20end%2C%20often%20in%20phrases%20like%20al%20fine%20%28to%20the%20end%29|\
fioritura	the%20florid%20embellishment%20of%20melodic%20lines%2C%20either%20notated%20by%20a%20composer%20or%20improvised%20during%20a%20performance.|\
flat	A%20symbol%20%28%u266D%29%20that%20lowers%20the%20pitch%20of%20a%20note%20by%20a%20semitone.%20The%20term%20may%20also%20be%20used%20as%20an%20adjective%20to%20describe%20a%20situation%20where%20a%20singer%20or%20musician%20is%20performing%20a%20note%20in%20which%20the%20intonation%20is%20an%20eighth%20or%20a%20quarter%20of%20a%20semitone%20too%20low.|\
flautando	Flutelike%20mode%3B%20used%20especially%20for%20string%20instruments%20to%20indicate%20a%20light%2C%20rapid%20bowing%20over%20the%20fingerboard|\
flebile	Feeble%2C%20low%20volume|\
flessibile	flexible|\
focoso%20or%20fuocoso	Fiery%20%28i.e.%20passionate%29|\
forte%20%28f%29	Strong%20%28i.e.%20to%20be%20played%20or%20sung%20loudly%29|\
forte-piano%20%28fp%29	Strong-gentle%20%28i.e.%20loud%2C%20then%20immediately%20soft%3B%20see%20dynamics%29|\
fortepiano	An%20early%20pianoforte|\
fortissimo%20%28ff%29	Very%20loud%20%28see%20note%20at%20pianissimo%29|\
fortissimissimo%20%28fff%29	As%20loud%20as%20possible|\
forza	Musical%20force%3B%20con%20forza%3A%20with%20force|\
forzando%20%28fz%29	See%20sforzando|\
freddo	Cold%3B%20hence%20depressive%2C%20unemotional|\
fresco	Fresh|\
fr%F6hlich%20%28Ger.%29	Lively%2C%20joyfully|\
fugue%20%28Fr.%29%2C%20fuga%20%28Latin%20and%20Italian%29	Literally%20%22flight%22%3B%20hence%20a%20complex%20and%20highly%20regimented%20contrapuntal%20form%20in%20music%3B%20a%20short%20theme%20%28the%20subject%29%20is%20introduced%20in%20one%20voice%20%28or%20part%29%20alone%2C%20then%20in%20others%2C%20with%20imitation%20and%20characteristic%20development%20as%20the%20piece%20progresses|\
funebre	Funeral%3B%20often%20seen%20as%20marcia%20funebre%20%28funeral%20march%29%2C%20indicating%20a%20stately%20and%20plodding%20tempo|\
fuoco	Fire%3B%20con%20fuoco%3A%20with%20fire%2C%20in%20a%20fiery%20manner|\
furia	Fury|\
furioso	Furious|\
G.P.	Grand%20Pause%2C%20General%20Pause%3B%20indicates%20to%20the%20performers%20that%20the%20entire%20ensemble%20has%20a%20rest%20of%20indeterminate%20length%2C%20often%20as%20a%20dramatic%20effect%20during%20a%20loud%20section|\
gaudioso	With%20joy|\
gem%E4chlich%20%28Ger.%29	Unhurried%2C%20at%20a%20leisurely%20pace|\
gemendo	Groaningly|\
gentile	Gentle|\
geschwind%20%28Ger.%29	Quickly|\
geteilt%20%28Ger.%29	See%20divisi|\
getragen%20%28Ger.%29	Solemnly%2C%20in%20a%20stately%20tempo|\
giocoso	Playful|\
gioioso	With%20joy|\
giusto	Strict%2C%20exact%2C%20right%20%28e.g.%20tempo%20giusto%20in%20strict%20time%29|\
glissando	A%20continuous%20sliding%20from%20one%20pitch%20to%20another%20%28a%20true%20glissando%29%2C%20or%20an%20incidental%20scale%20executed%20while%20moving%20from%20one%20melodic%20note%20to%20another%20%28an%20effective%20glissando%29.%20See%20glissando%20for%20further%20information%3B%20and%20compare%20portamento.|\
grace%20note	An%20extra%20note%20added%20as%20an%20embellishment%20and%20not%20essential%20to%20the%20harmony%20or%20melody.|\
grandioso	Grand%2C%20solemn|\
grave	Slow%20and%20serious|\
grazioso%20%28Fr.%20gratieusement%20or%20gracieusement%29	Graceful|\
guerriero	Warlike%2C%20martial|\
gustoso	%28It.%20tasteful%2C%20agreeable%29%20With%20happy%20emphasis%20and%20forcefulness%3B%20in%20an%20agreeable%20manner|\
H	German%20for%20B%20natural%3B%20B%20in%20German%20means%20B%20flat|\
Hauptstimme%20%28Ger.%29	Main%20voice%2C%20chief%20part%20%28i.e.%20the%20contrapuntal%20line%20of%20primary%20importance%2C%20in%20opposition%20to%20Nebenstimme%29|\
hemiola%20%28English%2C%20from%20Greek%29	The%20imposition%20of%20a%20pattern%20of%20rhythm%20or%20articulation%20other%20than%20that%20implied%20by%20the%20time%20signature%3B%20specifically%2C%20in%20triple%20time%20%28for%20example%20in%2034%29%20the%20imposition%20of%20a%20duple%20pattern%20%28as%20if%20the%20time%20signature%20were%2C%20for%20example%2C%2024%29.%20See%20Syncopation.|\
hervortretend%20%28Ger.%29	Prominent%2C%20pronounced|\
hold%2C%20see%20fermata	homophony|\
homophony	A%20musical%20texture%20with%20one%20voice%20%28or%20melody%20line%29%20accompanied%20by%20subordinate%20chords%3B%20also%20used%20as%20an%20adjective%20%28homophonic%29.%20Compare%20with%20polyphony%2C%20in%20which%20several%20independent%20voices%20or%20melody%20lines%20are%20performed%20at%20the%20same%20time.|\
hook	A%20musical%20idea%2C%20often%20a%20short%20riff%2C%20passage%20or%20phrase%2C%20that%20is%20used%20in%20popular%20music%20to%20make%20a%20song%20appealing%20and%20to%20%22catch%20the%20ear%20of%20the%20listener%22.|\
immer%20%28Ger.%29	Always|\
imperioso	Imperious%2C%20overbearing|\
impetuoso	Impetuous|\
improvvisando	With%20improvisation|\
improvvisato	Improvised%2C%20or%20as%20if%20improvised|\
improvise	To%20create%20music%20at%20the%20spur%20of%20the%20moment%2C%20spontaneously%2C%20and%20without%20preparation%20%28often%20over%20a%20given%20harmonic%20framework%20or%20chord%20progression%29|\
in%20alt	octave%20above%20the%20treble%20staff%2C%20G5%20to%20G6|\
in%20altissimo	Octave%20above%20the%20in%20alt%20octave%2C%20G6%20to%20G7|\
in%20modo%20di	In%20the%20art%20of%2C%20in%20the%20style%20of|\
in%20stand	A%20term%20for%20brass%20players%20that%20requires%20them%20to%20direct%20the%20bell%20of%20their%20instrument%20into%20the%20music%20stand%2C%20instead%20of%20up%20and%20toward%20the%20audience%2C%20thus%20muting%20the%20sound%20but%20without%20changing%20the%20timbre%20as%20a%20mute%20would|\
incalzando	Getting%20faster%20and%20louder|\
innig%20%28Ger.%29	Intimate%2C%20heartfelt|\
insistendo	Insistently%2C%20deliberately|\
intimo	Intimate|\
intro	Opening%20section%20of%20a%20piece|\
irato	Angry|\
-issimamente	A%20suffix%20meaning%20as%20...%20as%20can%20be%20%28e.g.%20leggerissimamente%2C%20meaning%20as%20light%20as%20can%20be%29|\
-issimo	A%20suffix%20meaning%20extremely%20%28e.g.%20fortissimo%20or%20prestissimo%29|\
izq.%20or%20iz.%20%28Spa.%29	Left%20%28hand%29%3B%20abbreviation%20of%20izquierda|\
Jazz%20standard%20%28or%20simply%20%22standard%22%29	A%20well-known%20composition%20from%20the%20jazz%20repertoire%20which%20is%20widely%20played%20and%20recorded.|\
jete%20%28Fr.%20jet%E9%29	Jump%3B%20a%20bowing%20technique%20in%20which%20the%20player%20is%20instructed%20to%20let%20the%20bow%20bounce%20or%20jump%20off%20the%20strings.|\
keyboardist%20%28Eng.%29	A%20musician%20who%20plays%20any%20instrument%20with%20a%20keyboard.%20In%20Classical%20music%2C%20this%20may%20refer%20to%20instruments%20such%20as%20the%20piano%2C%20pipe%20organ%2C%20harpsichord%2C%20and%20so%20on.%20In%20a%20jazz%20or%20popular%20music%20context%2C%20this%20may%20refer%20to%20instruments%20such%20as%20the%20piano%2C%20electric%20piano%2C%20synthesizer%2C%20Hammond%20organ%2C%20and%20so%20on.|\
Klangfarbenmelodie%20%28Ger.%29	%22Tone-color%20melody%22%2C%20distribution%20of%20pitch%20or%20melody%20among%20instruments%2C%20varying%20timbre|\
kr%E4ftig%20%28Ger.%29	Strong|\
lacrimoso%20or%20lagrimoso	Tearful%20%28i.e.%20sad%29|\
laissez%20vibrer%2C%20l.v.%20%28Fr.%29	French%20for%20lasciare%20vibrare%20%28%22let%20vibrate%22%29.|\
lamentando	Lamenting%2C%20mournfully|\
lamentoso	Lamenting%2C%20mournfully|\
langsam%20%28Ger.%29	Slowly|\
largamente	Broadly%20%28i.e.%20slowly%29%20%28same%20as%20largo%29|\
larghetto	Somewhat%20slow%3B%20not%20as%20slow%20as%20largo|\
larghezza	Broadness%3B%20con%20larghezza%3A%20with%20broadness%3B%20broadly|\
larghissimo	Very%20slow%3B%20slower%20than%20largo|\
largo	Broad%20%28i.e.%20slow%29|\
lasciare%20suonare	%22Let%20ring%22%2C%20meaning%20allow%20the%20sound%20to%20continue%2C%20do%20not%20damp%3B%20used%20frequently%20in%20harp%20or%20guitar%20music%2C%20occasionally%20in%20piano%20or%20percussion.%20Abbreviated%20%22lasc.%20suon.%22|\
leap%20or%20skip	A%20melodic%20interval%20greater%20than%20a%20major%202nd%2C%20as%20opposed%20to%20a%20step.%20Melodies%20which%20move%20by%20a%20leap%20are%20called%20%22disjunct%22.%20Octave%20leaps%20are%20not%20uncommon%20in%20florid%20vocal%20music.|\
lebhaft%20%28Ger.%29	Briskly%2C%20lively|\
legato	Joined%20%28i.e.%20smoothly%2C%20in%20a%20connected%20manner%29%20%28see%20also%20articulation%29|\
leggiadro	Pretty%2C%20graceful|\
leggierissimo	Very%20light%20and%20delicate|\
leggiero%20or%20leggiermente	Light%20or%20lightly%20%28the%20different%20forms%20of%20this%20word%2C%20including%20leggierezza%2C%20%22lightness%22%2C%20are%20spelled%20without%20the%20i%20in%20modern%20Italian%2C%20i.e.%20leggero%2C%20leggerissimo%2C%20leggermente%2C%20leggerezza.%29|\
leidenschaftlich%28er%29%20%28Ger.%29	%28More%29%20passionately|\
lent%20%28Fr.%29	Slow|\
lentando	Gradual%20slowing%20and%20softer|\
lentissimo	Very%20slow|\
lento	Slow|\
liberamente	Freely|\
libero	Free|\
lilt	A%20jaunty%20rhythm|\
l%27istesso%2C%20l%27istesso%20tempo%2C%20or%20lo%20stesso%20tempo	The%20same%20tempo%2C%20despite%20changes%20of%20time%20signature%2C%20see%20metric%20modulation|\
lo%20stesso	The%20same%3B%20applied%20to%20the%20manner%20of%20articulation%2C%20tempo%2C%20etc.|\
loco	%5Bin%5D%20place%2C%20i.e.%20perform%20the%20notes%20at%20the%20pitch%20written%2C%20generally%20used%20to%20cancel%20an%208va%20or%208vb%20direction%3B%20in%20string%20music%2C%20also%20used%20to%20indicate%20return%20to%20normal%20playing%20position%20%28see%20Playing%20the%20violin%29|\
long%20accent	Hit%20hard%20and%20keep%20full%20value%20of%20note%20%28%3E%29|\
lontano	Distant%2C%20far%20away|\
lugubre	Lugubrious%2C%20mournful|\
luminoso	Luminous|\
lunga	Long%20%28often%20applied%20to%20a%20fermata%29|\
lusingando%2C%20lusinghiero	Coaxingly%2C%20flatteringly%2C%20caressingly|\
ma	But|\
ma%20non%20tanto	But%20not%20much|\
ma%20non%20troppo	But%20not%20too%20much|\
maestoso	Majestic%2C%20stately|\
maggiore	The%20major%20key|\
magico	Magical|\
magnifico	Magnificent|\
main%20droite%20%28Fr.%29	%5Bplayed%20with%20the%5D%20right%20hand%20%28abbreviation%3A%20MD%20or%20m.d.%29|\
main%20gauche%20%28Fr.%29	%5Bplayed%20with%20the%5D%20left%20hand%20%28abbreviation%3A%20MG%20or%20m.g.%29|\
malinconico	Melancholic|\
mancando	Dying%20away|\
mano%20destra	%5Bplayed%20with%20the%5D%20right%20hand%20%28abbreviation%3A%20MD%20or%20m.d.%29|\
mano%20izquierda%20%28Spa.%29	%5Bplayed%20with%20the%5D%20left%20hand%20%28abbreviation%3A%20m.iz.%29|\
mano%20sinistra	%5Bplayed%20with%20the%5D%20left%20hand%20%28abbreviation%3A%20MS%20or%20m.s.%29|\
marcatissimo	With%20much%20accentuation|\
marcato%2C%20marc.	Marked%20%28i.e.%20with%20accentuation%2C%20execute%20every%20note%20as%20if%20it%20were%20to%20be%20accented%29|\
marcia	A%20march%3B%20alla%20marcia%20means%20in%20the%20manner%20of%20a%20march|\
martellato	Hammered%20out|\
marziale	Martial%2C%20solemn%20and%20fierce|\
m%E4%DFig%20%28Ger.%29	%28sometimes%20given%20as%20%22m%E4ssig%22%2C%20%22maessig%22%29%20Moderately|\
MD	See%20mano%20destra%20or%20main%20droite|\
measure	Also%20%22bar%22%3A%20the%20period%20of%20a%20musical%20piece%20that%20encompasses%20a%20complete%20cycle%20of%20the%20time%20signature%20%28e.g.%20in%2044%20time%2C%20a%20measure%20has%20four%20quarter%20note%20beats%29|\
medesimo%20tempo	Same%20tempo%2C%20despite%20changes%20of%20time%20signature|\
medley	Piece%20composed%20from%20parts%20of%20existing%20pieces%2C%20usually%20three%2C%20played%20one%20after%20another%2C%20sometimes%20overlapping.|\
melancolico	Melancholic|\
melisma	The%20technique%20of%20changing%20the%20note%20%28pitch%29%20of%20a%20syllable%20of%20text%20while%20it%20is%20being%20sung|\
meno	Less%3B%20see%20meno%20mosso%2C%20for%20example%2C%20less%20mosso|\
messa%20di%20voce	In%20singing%2C%20a%20controlled%20swell%20%28i.e.%20crescendo%20then%20diminuendo%2C%20on%20a%20long%20held%20note%2C%20especially%20in%20Baroque%20music%20and%20in%20the%20bel%20canto%20period%29|\
mesto	Mournful%2C%20sad|\
meter%20or%20metre	The%20pattern%20of%20a%20music%20piece%27s%20rhythm%20of%20strong%20and%20weak%20beats|\
mezza%20voce	Half%20voice%20%28i.e.%20with%20subdued%20or%20moderated%20volume%29|\
mezzo	Half%3B%20used%20in%20combinations%20like%20mezzo%20forte%20%28mf%29%2C%20meaning%20moderately%20loud|\
mezzo%20forte%20%28mf%29	Half%20loudly%20%28i.e.%20moderately%20loudly%29.%20See%20dynamics.|\
mezzo%20piano%20%28mp%29	Half%20softly%20%28i.e.%20moderately%20soft%29.%20See%20dynamics.|\
mezzo-soprano	A%20female%20singer%20with%20a%20range%20usually%20extending%20from%20the%20A%20below%20middle%20C%20to%20the%20F%20an%20eleventh%20above%20middle%20C.%20Mezzo-sopranos%20generally%20have%20a%20darker%20vocal%20tone%20than%20sopranos%2C%20and%20their%20vocal%20range%20is%20between%20that%20of%20a%20soprano%20and%20that%20of%20a%20contralto.|\
MG	See%20main%20gauche|\
minore	Minor%20key|\
misterioso	Mysterious|\
mit%20D%E4mpfer%20%28Ger.%29	With%20a%20mute|\
M.M.	Metronome%20Marking.%20Formerly%20%22M%E4lzel%20Metronome.%22|\
mobile	Mobile%2C%20changeable|\
moderato	Moderate%3B%20often%20combined%20with%20other%20terms%2C%20usually%20relating%20to%20tempo%3B%20for%20example%2C%20allegro%20moderato|\
mod%E9r%E9%20%28Fr.%29	Moderate|\
modesto	Modest|\
modulation	The%20act%20or%20process%20of%20changing%20from%20one%20key%20%28tonic%2C%20or%20tonal%20center%29%20to%20another.%20This%20may%20or%20may%20not%20be%20accompanied%20by%20a%20change%20in%20key%20signature.|\
Moll%20%28Ger.%29	minor%3B%20used%20in%20key%20signatures%20as%2C%20for%20example%2C%20a-Moll%20%28A%20minor%29%2C%20b-Moll%20%28B%u266D%20minor%29%2C%20or%20h-Moll%20%28B%20minor%29%3B%20see%20also%20Dur%20%28major%29|\
molto	Very|\
mordent	Rapid%20alternation%20of%20a%20note%20with%20the%20note%20immediately%20below%20or%20above%20it%20in%20the%20scale%2C%20sometimes%20further%20distinguished%20as%20lower%20mordent%20and%20upper%20mordent.%20The%20term%20%22inverted%20mordent%22%20usually%20refers%20to%20the%20upper%20mordent.|\
morendo	Dying%20%28i.e.%20dying%20away%20in%20dynamics%2C%20and%20perhaps%20also%20in%20tempo%29|\
mosso	Moved%2C%20moving%3B%20used%20with%20a%20preceding%20pi%F9%20or%20meno%2C%20for%20faster%20or%20slower%20respectively|\
moto	Motion%3B%20usually%20seen%20as%20con%20moto%2C%20meaning%20with%20motion%20or%20quickly|\
movement	A%20section%20of%20a%20musical%20composition%20%28such%20as%20a%20sonata%20or%20concerto%29|\
MS	See%20mano%20sinistra|\
munter%20%28Ger.%29	Lively|\
Musette%20%28Fr.%29	A%20dance%20or%20tune%20of%20a%20drone-bass%20character%2C%20originally%20played%20by%20a%20musette|\
muta%20%5Bin...%5D	Change%20%5Bto...%5D%3A%20an%20instruction%20either%20to%20change%20instrument%20%28e.g.%20flute%20to%20piccolo%2C%20horn%20in%20F%20to%20horn%20in%20B%u266D%29%20or%20to%20change%20tuning%20%28e.g.%20guitar%20muta%206%20in%20D%29.%20Note%3A%20muta%20comes%20from%20the%20Italian%20verb%20mutare%20%28to%20change%29%3B%20therefore%20it%20does%20not%20mean%20%22mute%22%2C%20for%20which%20con%20sordina%20or%20con%20sordino%20is%20used.|\
nach%20und%20nach%20%28Ger.%29	Literally%20%22more%20and%20more%22%20with%20an%20increasing%20feeling.%20Ex.%20%22nach%20und%20nach%20belebter%20und%20leidenschaftlicher%22%20%28with%20increasing%20animation%20and%20passion%29|\
narrante	Narrating|\
natural	A%20symbol%20%28%u266E%29%20that%20cancels%20the%20effect%20of%20a%20sharp%20or%20a%20flat|\
naturale%20%28nat.%29	Natural%20%28i.e.%20discontinue%20a%20special%20effect%2C%20such%20as%20col%20legno%2C%20sul%20tasto%2C%20sul%20ponticello%2C%20or%20playing%20in%20harmonics%29|\
N.C.	No%20chord%2C%20written%20in%20the%20chord%20row%20of%20music%20notation%20to%20show%20there%20is%20no%20chord%20being%20played%2C%20and%20no%20implied%20harmony|\
Nebenstimme%20%28Ger.%29	Secondary%20part%20%28i.e.%20a%20secondary%20contrapuntal%20part%2C%20always%20occurring%20simultaneously%20with%2C%20and%20subsidiary%20to%2C%20the%20Hauptstimme%29|\
nicht%20%28Ger.%29	Not|\
niente	%22nothing%22%2C%20barely%20audible%2C%20dying%20away%2C%20sometimes%20indicated%20with%20a%20dynamic%20n|\
nobile%20or%20nobilmente%20%28Ital.%29%20or%20Noblement%20%28Fr.%29	In%20a%20noble%20fashion|\
noblezza	Nobility|\
nocturne%20%28Fr.%29	A%20piece%20written%20for%20the%20night|\
notes%20in%E9gales%20%28Fr.%29	Unequal%20notes%3B%20a%20principally%20Baroque%20performance%20practice%20of%20applying%20long-short%20rhythms%20to%20pairs%20of%20notes%20written%20as%20equal%3B%20see%20also%20swung%20note|\
notturno	See%20nocturne.|\
number%20opera	An%20opera%20consisting%20of%20%22numbers%22%20%28e.g.%20arias%2C%20intermixed%20with%20recitative%29|\
obbligato	Bound%2C%20constrained|\
octave	Interval%20between%20one%20musical%20pitch%20and%20another%20with%20half%20or%20double%20its%20frequency.%20Twelve%20semitones%20equal%20an%20octave%2C%20so%20do%20the%20first%20and%20the%20eighth%20%28hence%20%22oct%22ave%29%20note%20in%20a%20major%20or%20minor%20scale.|\
ohne%20D%E4mpfer%20%28Ger.%29	Without%20a%20mute|\
omaggio	Homage%2C%20celebration|\
one-voice-per-part%20%28OVPP%29	The%20practice%20of%20using%20solo%20voices%20on%20each%20musical%20line%20or%20part%20in%20choral%20music.|\
ordinario%20%28ord.%29%20%28Ital.%29%20or%20position%20ordinaire%20%28Fr.%29	In%20bowed%20string%20music%2C%20an%20indication%20to%20discontinue%20extended%20techniques%20such%20as%20sul%20ponticello%2C%20sul%20tasto%20or%20col%20legno%2C%20and%20return%20to%20normal%20playing.%20The%20same%20as%20%22naturale%22.|\
organ%20trio	In%20jazz%20or%20rock%2C%20a%20group%20of%20three%20musicians%20which%20includes%20a%20Hammond%20organ%20player%20and%20two%20other%20instruments%2C%20often%20an%20electric%20guitar%20player%20and%20a%20drummer.|\
oppure%20or%20ossia%20%28Ital.%29	Or%20%28giving%20an%20alternative%20way%20of%20performing%20a%20passage%2C%20which%20is%20marked%20with%20a%20footnote%2C%20additional%20small%20notes%2C%20or%20an%20additional%20staff%29|\
ostinato	Obstinate%2C%20persistent%20%28i.e.%20a%20short%20musical%20pattern%20that%20is%20repeated%20throughout%20an%20entire%20composition%20or%20portion%20of%20a%20composition%29|\
ottava	Octave%20%28e.g.%20ottava%20bassa%3A%20an%20octave%20lower%29|\
ouverture%20%28Fr.%29	see%20Overture|\
oversinging	a%20term%20used%20to%20describe%20vocal%20styles%20that%20dominate%20the%20music%20they%20are%20performed%20in|\
overture	An%20orchestral%20composition%20forming%20the%20prelude%20or%20introduction%20to%20an%20opera%2C%20oratorio%2C%20etc.|\
parlando%20or%20parlante	Lit.%20speaking%3B%20like%20speech%2C%20enunciated|\
Partitur%20%28Ger.%29	Full%20orchestral%20score|\
passionato	Passionate|\
pastorale	In%20a%20pastoral%20style%2C%20peaceful%20and%20simple|\
patetico	Passionate%2C%20emotional.%20A%20related%20term%20is%20Pathetique%3A%20a%20name%20attributed%20to%20certain%20works%20with%20an%20emotional%20focus%20such%20as%20Tchaikovsky%27s%206th%20symphony.|\
pausa	rest|\
pedale%20or%20ped	In%20piano%20scores%2C%20this%20instructs%20the%20player%20to%20press%20the%20damper%20pedal%20to%20sustain%20the%20note%20or%20chord%20being%20played.%20The%20player%20may%20be%20instructed%20to%20release%20the%20pedal%20with%20an%20asterisk%20marking%20%28*%29.%20In%20organ%20scores%2C%20it%20tells%20the%20organist%20that%20a%20section%20is%20to%20be%20performed%20on%20the%20bass%20pedalboard%20with%20the%20feet.|\
pensieroso	Thoughtfully%2C%20meditatively|\
perdendosi	Dying%20away%3B%20decrease%20in%20dynamics%2C%20perhaps%20also%20in%20tempo|\
pesante	Heavy%2C%20ponderous|\
peu%20%E0%20peu%20%28Fr.%29	Little%20by%20little|\
pezzo	A%20composition|\
piacevole	Pleasant%2C%20agreeable|\
piangendo	Literally%20%27crying%27%20%28used%20in%20Liszt%27s%20La%20Lugubre%20Gondola%20no.%202%29.|\
piangevole	Plaintive|\
pianissimo%20%28pp%29	very%20gently%20%28i.e.%20perform%20very%20softly%2C%20even%20softer%20than%20piano%29.%20This%20convention%20can%20be%20extended%3B%20the%20more%20ps%20that%20are%20written%2C%20the%20softer%20the%20composer%20wants%20the%20musician%20to%20play%20or%20sing%2C%20thus%20ppp%20%28pianissimissimo%29%20would%20be%20softer%20than%20pp.%20Dynamics%20in%20a%20piece%20should%20be%20interpreted%20relative%20to%20the%20other%20dynamics%20in%20the%20same%20piece.%20For%20example%2C%20pp%20should%20be%20executed%20very%20softly%2C%20but%20if%20ppp%20is%20found%20later%20in%20the%20piece%2C%20pp%20should%20be%20markedly%20louder%20than%20ppp.%20More%20than%20three%20ps%20%28ppp%29%20or%20three%20fs%20%28fff%29%20are%20uncommon.|\
piano%20%28p%29	Gently%20%28i.e.%20played%20or%20sung%20softly%29%20%28see%20dynamics%29|\
piano-vocal%20score	The%20same%20as%20a%20vocal%20score%2C%20a%20piano%20arrangement%20along%20with%20the%20vocal%20parts%20of%20an%20opera%2C%20cantata%2C%20or%20similar|\
Picardy%20third	A%20Picardy%20third%2C%20Picardy%20cadence%20%28%u02C8p%u026Ak%u0259rdi%20%29%20or%2C%20in%20French%2C%20tierce%20picarde%20is%20a%20harmonic%20device%20used%20in%20Western%20classical%20music.%20It%20refers%20to%20the%20use%20of%20a%20major%20chord%20of%20the%20tonic%20at%20the%20end%20of%20a%20musical%20section%20that%20is%20either%20modal%20or%20in%20a%20minor%20key.|\
piatti	Cymbals%2C%20generally%20meaning%20a%20pair%20of%20orchestral%20clashed%20cymbals|\
piena	Full%2C%20as%2C%20for%20example%2C%20a%20voce%20piena%20%3D%20%22in%20full%20voice%22|\
pietoso	Pitiful%2C%20piteous|\
pi%F9	More%3B%20see%20mosso|\
piuttosto	Rather%2C%20somewhat%20%28e.g.%20allegro%20piuttosto%20presto%29|\
pizzicato	Pinched%2C%20plucked%20%28i.e.%20in%20music%20for%20bowed%20strings%2C%20plucked%20with%20the%20fingers%20as%20opposed%20to%20played%20with%20the%20bow%3B%20compare%20arco%2C%20which%20is%20inserted%20to%20cancel%20a%20pizzicato%20instruction%3B%20in%20music%20for%20guitar%2C%20to%20mute%20the%20strings%20by%20resting%20the%20palm%20on%20the%20bridge%2C%20simulating%20the%20sound%20of%20pizz.%20of%20the%20bowed%20string%20instruments%29|\
plop	Jazz%20term%20referring%20to%20a%20note%20that%20slides%20to%20an%20indefinite%20pitch%20chromatically%20downwards.|\
pochettino%20or%20poch.	Very%20little%3B%20diminutive%20of%20poco|\
pochissimo%20or%20pochiss.	Very%20little%3B%20superlative%20of%20poco|\
poco	A%20little%2C%20as%20in%20poco%20pi%F9%20allegro%20%28a%20little%20faster%29|\
poco%20rall	a%20gradual%20decrease%20in%20speed|\
poco%20a%20poco	Little%20by%20little|\
poetico	Poetic%20discourse|\
poi	Then%2C%20indicating%20a%20subsequent%20instruction%20in%20a%20sequence%3B%20diminuendo%20poi%20subito%20fortissimo%2C%20for%20example%3A%20getting%20softer%20then%20suddenly%20very%20loud|\
pomposo	Pompous%2C%20ceremonious|\
ponticello%20or%20sul%20ponticello%20%28pont.%29	On%20the%20bridge%20%28i.e.%20in%20string%20playing%2C%20an%20indication%20to%20bow%20or%20to%20pluck%20very%20near%20to%20the%20bridge%2C%20producing%20a%20characteristic%20glassy%20sound%2C%20which%20emphasizes%20the%20higher%20harmonics%20at%20the%20expense%20of%20the%20fundamental%29%3B%20the%20opposite%20of%20sul%20tasto|\
portamento	Carrying%20%28i.e.%201.%20generally%2C%20sliding%20in%20pitch%20from%20one%20note%20to%20another%2C%20usually%20pausing%20just%20above%20or%20below%20the%20final%20pitch%2C%20then%20sliding%20quickly%20to%20that%20pitch.%20If%20no%20pause%20is%20executed%2C%20then%20it%20is%20a%20basic%20glissando%3B%20or%202.%20in%20piano%20music%2C%20an%20articulation%20between%20legato%20and%20staccato%2C%20like%20portato%29|\
portato%20or%20lour%E9	Carried%20%28i.e.%20non-legato%2C%20but%20not%20as%20detached%20as%20staccato%29%20%28same%20as%20portamento%29|\
posato	Settled|\
potpourri%20or%20pot-pourri%20%28Fr.%29	Potpourri%20%28as%20used%20in%20other%20senses%20in%20English%29%20%28i.e.%20a%20kind%20of%20musical%20form%20structured%20as%20ABCDEF...%20etc.%3B%20the%20same%20as%20medley%20or%2C%20sometimes%2C%20fantasia%29|\
precipitato	Precipitately|\
prelude%2C%20pr%E9lude%20%28Fr.%29%2C%20preludio%20%28It%29%2C%20praeludium%20%28Lat.%29%2C%20pr%E4ludium%20%28Ger.%29	A%20musical%20introduction%20to%20subsequent%20movements%20during%20the%20Baroque%20era%20%281600s/17th%20century%29.%20It%20can%20also%20be%20a%20movement%20in%20its%20own%20right%2C%20which%20was%20more%20common%20in%20the%20Romantic%20era%20%28mid-1700s/18th%20century%29|\
prestissimo	Extremely%20quickly%2C%20as%20fast%20as%20possible|\
presto	Very%20quickly|\
prima%20or%20primo%20%28the%20masculine%20form%29	First|\
prima%20donna	Leading%20female%20singer%20in%20an%20opera%20company|\
prima%20volta	The%20first%20time%3B%20for%20example%20prima%20volta%20senza%20accompagnamento%20%28the%20first%20time%20without%20accompaniment%29|\
quartal	Composed%20of%20the%20musical%20interval%20of%20the%20fourth%3B%20as%20in%20quartal%20harmony|\
quarter%20tone	Half%20of%20a%20semitone%3B%20a%20pitch%20division%20not%20used%20in%20most%20Western%20music%20notation%2C%20except%20in%20some%20contemporary%20art%20music%20or%20experimental%20music.%20Quarter%20tones%20are%20used%20in%20Western%20popular%20music%20forms%20such%20as%20jazz%20and%20blues%20and%20in%20a%20variety%20of%20non-Western%20musical%20cultures.|\
quasi%20%28Latin%20and%20Italian%29	Almost%20%28e.g.%20quasi%20recitativo%20almost%20a%20recitative%20in%20an%20opera%2C%20or%20quasi%20una%20fantasia%20almost%20a%20fantasia%29|\
quintal	Composed%20of%20the%20musical%20interval%20of%20the%20fifth%3B%20as%20in%20quintal%20harmony|\
rallentando%20or%20rall.	Broadening%20of%20the%20tempo%20%28often%20not%20discernible%20from%20ritardando%29%3B%20progressively%20slower|\
rapide%20%28Fr.%29	Fast|\
rapido	Fast|\
rasch%20%28Ger.%29	Fast|\
rasguedo%20%28Spa.%29	%28on%20the%20guitar%29%20to%20play%20strings%20with%20the%20back%20of%20the%20fingernail%3B%20esp.%20to%20fan%20the%20strings%20rapidly%20with%20the%20nails%20of%20multiple%20fingers|\
ravvivando	Quickening%20%28lit.%20%22reviving%22%29%2C%20as%20in%20%22ravvivando%20il%20tempo%22%2C%20returning%20to%20a%20faster%20tempo%20that%20occurred%20earlier%20in%20the%20piece|\
recitativo	Recitative%20%28lyrics%20not%20to%20be%20sung%20but%20to%20be%20recited%2C%20imitating%20the%20natural%20inflections%20of%20speech%29|\
religioso	Religious|\
repente	Suddenly|\
reprise	Repetition%20of%20a%20phrase%20or%20verse%3B%20return%20to%20the%20original%20theme|\
restez%20%28Fr.%29	Stay%20in%20position%2C%20i.e.%2C%20do%20not%20shift%20%28string%20instruments%29|\
retenu%20%28Fr.%29	Hold%20back%3B%20same%20as%20the%20Italian%20ritenuto%20%28see%20below%29|\
Ridicolo	Ridiculous%2C%20comical|\
riff	a%20repeated%20chord%20progression%20or%20refrain|\
rilassato	Relaxed|\
rinforzando%20%28rf%2C%20rfz%20or%20rinf.%29	Reinforcing%20%28i.e.%20emphasizing%29%3B%20sometimes%20like%20a%20sudden%20crescendo%2C%20but%20often%20applied%20to%20a%20single%20note|\
risoluto	Resolute|\
rit.	An%20abbreviation%20for%20ritardando%3B%20also%20an%20abbreviation%20for%20ritenuto|\
ritardando%2C%20ritard.%2C%20rit.	Slowing%20down%3B%20decelerating%3B%20opposite%20of%20accelerando|\
ritenuto%2C%20riten.%2C%20rit.	Suddenly%20slower%2C%20held%20back%20%28usually%20more%20so%20but%20more%20temporarily%20than%20a%20ritardando%2C%20and%20it%20may%2C%20unlike%20ritardando%2C%20apply%20to%20a%20single%20note%29%3B%20opposite%20of%20accelerato|\
ritmico	Rhythmical|\
ritmo	Rhythm%20%28e.g.%20ritmo%20di%20%23%20battute%20meaning%20a%20rhythm%20of%20%23%20measures%29|\
ritornello	A%20recurring%20passage|\
rolled%20chord	See%20Arpeggio|\
rondo	A%20musical%20form%20in%20which%20a%20certain%20section%20returns%20repeatedly%2C%20interspersed%20with%20other%20sections%3A%20ABACA%20is%20a%20typical%20structure%20or%20ABACABA|\
roulade%20%28Fr.%29	A%20rolling%20%28i.e.%20a%20florid%20vocal%20phrase%29|\
rubato	Stolen%2C%20robbed%20%28i.e.%20flexible%20in%20tempo%29%2C%20applied%20to%20notes%20within%20a%20musical%20phrase%20for%20expressive%20effect|\
ruhig%20%28Ger.%29	Calm%2C%20peaceful|\
run	A%20rapid%20series%20of%20ascending%20or%20descending%20musical%20notes%20which%20are%20closely%20spaced%20in%20pitch%20forming%20a%20scale%2C%20arpeggio%2C%20or%20other%20such%20pattern.%20See%3A%20Fill%20%28music%29%20and%20Melisma.|\
ruvido	Rough|\
saltando	Lit.%20%22jumping%22%3A%20bouncing%20the%20bow%20as%20in%20a%20staccato%20arpeggio|\
sanft%20%28Ger.%29	Gently|\
sans%20nuances%20%28Fr.%29	Without%20shades%2C%20with%20no%20subtle%20variations|\
sans%20presser%20%28Fr.%29	Without%20rushing|\
sans%20rigueur%20%28Fr.%29	Without%20strictness%2C%20freely|\
scatenato	Unchained%2C%20wild|\
scherzando%2C%20scherzoso	Playfully|\
scherzo	A%20light%2C%20%22joking%22%20or%20playful%20musical%20form%2C%20originally%20and%20usually%20in%20fast%20triple%20metre%2C%20often%20replacing%20the%20minuet%20in%20the%20later%20Classical%20period%20and%20the%20Romantic%20period%2C%20in%20symphonies%2C%20sonatas%2C%20string%20quartets%20and%20the%20like%3B%20in%20the%2019th%20century%20some%20scherzi%20were%20independent%20movements%20for%20piano%2C%20etc.|\
schleppend%2C%20schleppen%20%28Ger.%29	In%20a%20dragging%20manner%2C%20to%20drag%3B%20usually%20nicht%20schleppen%20%28%22don%27t%20drag%22%29%2C%20paired%20with%20nicht%20eilen%20%28%22don%27t%20hurry%22%29%20in%20Gustav%20Mahler%27s%20scores|\
schlicht%20%28Ger.%29	Plain%2C%20simple|\
schnell%20%28Ger.%29	Fast|\
schneller%20%28Ger.%29	Faster|\
schmerzlich%20%28Ger.%29	Sorrowful|\
schwer%20%28Ger.%29	Heavy|\
schwungvoll%20%28Ger.%29	Lively%2C%20swinging%2C%20bold%2C%20spirited|\
scioltezza	Fluency%2C%20agility%20%28used%20in%20con%20scioltezza%29|\
sciolto	Fluent%2C%20agile|\
scordatura	Altered%20or%20alternative%20tuning%20used%20for%20the%20strings%20of%20a%20string%20instrument|\
scorrendo%2C%20scorrevole	Gliding%20from%20note%20to%20note|\
secco%20%28sec%29%20%28Fr.%29	Dry%20%28sparse%20accompaniment%2C%20staccato%2C%20without%20resonance%29%3B%20with%20basso%20continuo%20accompaniment%2C%20this%20often%20means%20that%20only%20the%20chordal%20instrument%20will%20play%2C%20with%20the%20sustained%20bass%20instrument%20not%20playing|\
segno	sign%2C%20usually%20Dal%20segno%20%28see%20above%29%20%22from%20the%20sign%22%2C%20indicating%20a%20return%20to%20the%20point%20marked%20by%20|\
segue	Lit.%20%22it%20follows%22%3B%20to%20be%20carried%20on%20to%20the%20next%20section%20without%20a%20pause|\
sehr%20%28Ger.%29	Very|\
sehr%20ausdrucksvoll%20%28Ger.%29	Very%20expressive|\
sehr%20getragen%20%28Ger.%29	Very%20sustained|\
semitone	The%20smallest%20pitch%20difference%20between%20notes%20%28in%20most%20Western%20music%29%20%28e.g.%20F%u2013F%u266F%29%20%28Note%3A%20some%20contemporary%20music%2C%20non-Western%20music%2C%20and%20blues%20and%20jazz%20uses%20microtonal%20divisions%20smaller%20than%20a%20semitone%29|\
semplice	Simple|\
sempre	Always|\
sentimento	Feeling%2C%20emotion|\
sentito	lit.%20%22felt%22%2C%20with%20expression|\
senza	Without|\
senza%20misura	Without%20measure|\
senza%20replica	Without%20repetition%3A%20%22when%20a%20movement%2C%20repeated%20in%20the%20first%20instance%2C%20must%2C%20on%20the%20Da%20Capo%2C%20be%20played%20throughout%20without%20repetition.%22|\
senza%20sordina%20or%20senza%20sordine%20%28plural%29	Without%20the%20mute.%20See%20sordina.|\
serioso	Seriously|\
serrez%20%28Fr.%29	Getting%20faster|\
sforzando%20%28sf%20or%20sfz%29	Getting%20louder%20with%20a%20sudden%20strong%20accent|\
shake	A%20jazz%20term%20describing%20a%20trill%20between%20one%20note%20and%20its%20minor%20third%3B%20or%2C%20with%20brass%20instruments%2C%20between%20a%20note%20and%20its%20next%20overblown%20harmonic|\
sharp	A%20symbol%20%28%u266F%29%20that%20raises%20the%20pitch%20of%20the%20note%20by%20a%20semitone%3Bthe%20term%20may%20also%20be%20used%20as%20an%20adjective%20to%20describe%20a%20situation%20where%20a%20singer%20or%20musician%20is%20performing%20a%20note%20in%20which%20the%20intonation%20is%20somewhat%20too%20high%20in%20pitch|\
short%20accent	Hit%20the%20note%20hard%20and%20short%20%28%5E%29|\
si%20%28Fr.%29	Seventh%20note%20of%20the%20series%20ut%2C%20re%2C%20mi%2C%20fa%2C%20sol%2C%20la%2C%20si%2C%20in%20fixed-doh%20solmization%3B%20also%20used%20for%20the%205th%20note%2C%20sol%2C%20when%20sharpened%2C%20in%20solmization.|\
siciliana	A%20Sicilian%20dance%20in%20128%20or%2068%20meter|\
sign	See%20segno|\
silenzio	Silence%20%28i.e.%20without%20reverberations%29|\
simile	Similar%20%28i.e.%20continue%20applying%20the%20preceding%20directive%2C%20whatever%20it%20was%2C%20to%20the%20following%20passage%29|\
sipario	Curtain%20%28stage%29|\
slancio	Momentum%2C%20con%20slancio%3A%20with%20momentum%3B%20with%20enthusiasm|\
slargando%20or%20slentando	Becoming%20broader%20or%20slower%20%28that%20is%2C%20becoming%20more%20largo%20or%20more%20lento%29|\
slur	A%20symbol%20in%20Western%20musical%20notation%20%28generally%20a%20curved%20line%20placed%20over%20the%20notes%29%20indicating%20that%20the%20notes%20it%20embraces%20are%20to%20be%20played%20without%20separation%20%28that%20is%2C%20with%20legato%20articulation%29|\
smorzando%20%28smorz.%29	Extinguishing%20or%20dampening%3B%20usually%20interpreted%20as%20a%20drop%20in%20dynamics%2C%20and%20very%20often%20in%20tempo%20as%20well|\
soave	Smooth%2C%20gentle|\
sognando	Dreaming|\
solenne	Solemn|\
solo%20or%20soli%20%28plural%29	Alone%20%28i.e.%20executed%20by%20a%20single%20instrument%20or%20voice%29.%20The%20instruction%20soli%20requires%20more%20than%20one%20player%20or%20singer%3B%20in%20a%20jazz%20big%20band%20this%20refers%20to%20an%20entire%20section%20playing%20in%20harmony.%20In%20orchestral%20works%2C%20soli%20refers%20to%20a%20divided%20string%20section%20with%20only%20one%20player%20to%20a%20line.|\
solo%20break	A%20jazz%20term%20that%20instructs%20a%20lead%20player%20or%20rhythm%20section%20member%20to%20play%20an%20improvised%20solo%20cadenza%20for%20one%20or%20two%20measures%20%28sometimes%20abbreviated%20as%20%22break%22%29%2C%20without%20any%20accompaniment.%20The%20solo%20part%20is%20often%20played%20in%20a%20rhythmically%20free%20manner%2C%20until%20the%20player%20performs%20a%20pickup%20or%20lead-in%20line%2C%20at%20which%20time%20the%20band%20recommences%20playing%20in%20the%20original%20tempo.|\
sommo%20%28masc.%29%2C%20somma%20%28fem.%29	Highest%2C%20maximum%3B%20con%20somma%20passione%3A%20with%20the%20greatest%20passion|\
sonata	A%20piece%20played%20as%20opposed%20to%20sung|\
sonatina	A%20little%20sonata|\
sonatine	A%20little%20sonata%2C%20used%20in%20some%20countries%20instead%20of%20sonatina|\
sonore	Sonorous%20%28Deep%20or%20ringing%20sound%29|\
sonoro	With%20full%20sound|\
sopra	Above%3B%20directive%20to%20cross%20hands%20in%20a%20composition%20for%20piano%2C%20e.g.%20m.s.%20sopra%3A%20left%20hand%20over%3B%20opposite%3A%20sotto%20%28below%29|\
sopra%20una%20corda%20or%20sull%27istessa%20corda	To%20be%20played%20on%20one%20string|\
soprano	The%20highest%20of%20the%20standard%20four%20voice%20ranges%20%28bass%2C%20tenor%2C%20alto%2C%20soprano%29|\
sordina%2C%20sordine%20%28plural%29	A%20mute%2C%20Note%3A%20sordina%2C%20with%20plural%20sordine%2C%20is%20strictly%20correct%20Italian%2C%20but%20the%20forms%20sordino%20and%20sordini%20are%20much%20more%20commonly%20used%20as%20terms%20in%20music.%20Instruments%20can%20have%20their%20tone%20muted%20with%20wood%2C%20rubber%2C%20metal%2C%20or%20plastic%20devices%2C%20%28for%20string%20instruments%2C%20mutes%20are%20clipped%20to%20the%20bridge%3B%20for%20brass%20instruments%2C%20mutes%20are%20inserted%20in%20the%20bell%29%2C%20or%20parts%20of%20the%20body%20%28guitar%3B%20French%20Horn%29%2C%20or%20fabric%20%28clarinet%3B%20timpani%29%2C%20among%20other%20means.%20In%20piano%20music%20%28notably%20in%20Beethoven%27s%20Moonlight%20Sonata%29%2C%20senza%20sordini%20or%20senza%20sordina%20%28or%20some%20variant%29%20is%20sometimes%20used%20to%20mean%20keep%20the%20sustain%20pedal%20depressed%2C%20since%20the%20sustain%20pedal%20lifts%20the%20dampers%20off%20the%20strings%2C%20with%20the%20effect%20that%20all%20notes%20are%20sustained%20indefinitely.|\
sordino	See%20sordina.|\
sortita	A%20principal%20singer%27s%20first%20entrance%20in%20an%20opera|\
sospirando	Sighing|\
sostendo%20%28Galician%29	holding%20back%2C%20%28notably%20used%20in%20El%20Camino%20Real%20by%20Alfred%20Reed%29|\
sostenuto	Sustained%2C%20lengthened|\
sotto%20voce	In%20an%20undertone%20%28i.e.%20quietly%29|\
soutenu%20%28Fr.%29	sustained|\
Sprechgesang	%22spoken%20singing%22%2C%20expressionist%20vocal%20technique%20denoting%20pitched%20speaking.%20Used%20most%20notably%20in%20the%20compositions%20of%20Arnold%20Schoenberg%20such%20as%20Pierrot%20lunaire.|\
spianato	Smooth%2C%20even|\
spiccato	Distinct%2C%20separated%20%28i.e.%20a%20way%20of%20playing%20the%20violin%20and%20other%20bowed%20instruments%20by%20bouncing%20the%20bow%20on%20the%20string%2C%20giving%20a%20characteristic%20staccato%20effect%29|\
spinto	Lit.%20%22pushed%22|\
spirito	Spirit%2C%20con%20spirito%3A%20with%20spirit%2C%20with%20feeling|\
spiritoso	Spirited|\
staccato	Making%20each%20note%20brief%20and%20detached%3B%20the%20opposite%20of%20legato.%20In%20musical%20notation%2C%20a%20small%20dot%20under%20or%20over%20the%20head%20of%20the%20note%20indicates%20that%20it%20is%20to%20be%20articulated%20as%20staccato.|\
stanza	A%20verse%20of%20a%20song|\
stem	Vertical%20line%20that%20is%20directly%20connected%20to%20the%20%5Bnote%5D%20head.|\
stentando%20or%20stentato%20%28sten.%20or%20stent.%29	Labored%2C%20heavy%2C%20in%20a%20dragging%20manner%2C%20holding%20back%20each%20note|\
stornello	Originally%20truly%20%27improvised%27%20now%20taken%20as%20%27appearing%20to%20be%20improvised%2C%27%20an%20Italian%20%27folk%27%20song%2C%20the%20style%20of%20which%20used%20for%20example%20by%20Puccini%20in%20certain%20of%20his%20operas|\
strascinando%20or%20strascicante	Indicating%20a%20passage%20should%20be%20played%20in%20a%20heavily%20slurred%20manner%3B%20in%20some%20contexts%20it%20indicates%20a%20rhythmic%20motion%20resembling%20shuffling|\
strepitoso	Noisy%2C%20forceful|\
stretto	Tight%2C%20narrow%20%28i.e.%20faster%20or%20hastening%20ahead%29%3B%20also%2C%20a%20passage%20in%20a%20fugue%20in%20which%20the%20contrapuntal%20texture%20is%20denser%2C%20with%20close%20overlapping%20entries%20of%20the%20subject%20in%20different%20voices%3B%20by%20extension%2C%20similar%20closely%20imitative%20passages%20in%20other%20compositions|\
stringendo	Gradually%20getting%20faster%20%28literally%2C%20tightening%2C%20narrowing%29%20%28i.e.%20with%20a%20pressing%20forward%20or%20acceleration%20of%20the%20tempo%2C%20that%20is%2C%20becoming%20stretto%29|\
strisciando	To%20be%20played%20with%20a%20smooth%20slur%2C%20a%20glissando|\
suave%20%28Sp.%29	Soft|\
subito	Immediately%20%28e.g.%20subito%20pp%2C%20which%20instructs%20the%20player%20to%20suddenly%20drop%20to%20pianissimo%20as%20an%20effect%29%3B%20often%20abbreviated%20as%20sub.|\
sul	Lit.%20%22on%20the%22%2C%20as%20in%20sul%20ponticello%20%28on%20the%20bridge%29%3B%20sul%20tasto%20%28on%20the%20fingerboard%29%3B%20sul%20E%20%28on%20the%20E%20string%29%2C%20etc.|\
sul%20E	%22on%20the%20E%22%2C%20indicating%20a%20passage%20is%20to%20be%20played%20on%20the%20E%20string%20of%20a%20violin.%20Also%20seen%3A%20sul%20A%2C%20sul%20D%2C%20sul%20G%2C%20sul%20C%2C%20indicating%20a%20passage%20to%20be%20played%20on%20one%20of%20the%20other%20strings%20of%20a%20string%20instrument.|\
suono%20reale	Actual%20sound%3B%20primarily%20used%20with%20notated%20harmonics%20where%20the%20written%20pitch%20is%20also%20the%20sounding%20pitch|\
sur%20la%20touche%20%28Fr.%29	Sul%20tasto|\
syncopation	A%20disturbance%20or%20interruption%20of%20the%20regular%20flow%20of%20downbeat%20rhythm%20with%20emphasis%20on%20the%20sub-division%20or%20up-beat%20%28e.g.%20in%20Ragtime%20music%29.|\
tacet%20%28Lat.%29	Lit.%20%22he/she%20keeps%20silent%22%3A%20do%20not%20play|\
tasto%2C%20sul%20tasto%20or%20tastiera%20%28tast.%29	On%20the%20fingerboard%20%28i.e.%20in%20string%20playing%2C%20an%20indication%20to%20bow%20or%20to%20pluck%20over%20the%20fingerboard%29%3B%20playing%20over%20the%20fingerboard%20produces%20a%20duller%2C%20less%20harmonically%20rich%2C%20gentler%20tone.%20The%20opposite%20of%20sul%20ponticello.|\
tasto%20solo	%27single%20key%27%3B%20used%20on%20a%20basso%20continuo%20part%20to%20indicate%20that%20only%20the%20written%20notes%20should%20be%20played%2C%20without%20RH%20chords%20as%20normally%20played%20by%20the%20harpsichordist/organist|\
tempo	Time%20%28i.e.%20the%20overall%20speed%20of%20a%20piece%20of%20music%29|\
tempo%20di%20marcia	March%20tempo|\
tempo%20di%20mezzo	The%20middle%20section%20of%20a%20double%20aria%2C%20commonly%20found%20in%20bel%20canto%20era%20Italian%20operas%2C%20especially%20those%20of%20Rossini%2C%20Bellini%2C%20Donizetti%2C%20and%20their%20contemporaries%20as%20well%20in%20many%20early%20operas%20by%20Verdi.%20When%20present%2C%20the%20tempo%20di%20mezzo%20generally%20signals%20a%20shift%20in%20the%20drama%20from%20the%20slow%20cantabile%20of%20the%20first%20part%20to%20the%20cabaletta%20of%20the%20second%2C%20and%20this%20can%20take%20the%20form%20of%20some%20dramatic%20announcement%20or%20action%20to%20which%20the%20character%28s%29%20react%20in%20the%20cabaletta%20finale.|\
tempo%20di%20valzer	Waltz%20tempo|\
tempo%20giusto	In%20strict%20time|\
tempo%20primo%2C%20tempo%20uno%2C%20or%20tempo%20I%20%28sometimes%20tempo%20I%B0%20or%20tempo%201ero%29	Resume%20the%20original%20speed|\
tempo%20rubato	%22Stolen%20time%22%3B%20an%20expressive%20way%20of%20performing%20a%20rhythm%3B%20see%20rubato|\
ten.	See%20tenuto|\
teneramente%3B%20tendre%20or%20tendrement%20%28Fr.%29	Tenderly|\
tenerezza	Tenderness|\
tenor	The%20second%20lowest%20of%20the%20standard%20four%20voice%20ranges%20%28bass%2C%20tenor%2C%20alto%2C%20soprano%29|\
tenuto	Held%20%28i.e.%20touch%20on%20a%20note%20slightly%20longer%20than%20usual%2C%20but%20without%20generally%20altering%20the%20note%27s%20value%29|\
ternary	Having%20three%20parts.%20In%20particular%2C%20referring%20to%20a%20three-part%20musical%20form%20with%20the%20parts%20represented%20by%20letters%3A%20ABA|\
tessitura	The%20%27best%27%20or%20most%20comfortable%20pitch%20range%2C%20generally%20used%20to%20identify%20the%20most%20prominent%20/%20common%20vocal%20range%20within%20a%20piece%20of%20music|\
tierce%20de%20Picardie%20%28Fr.%29	See%20Picardy%20third|\
timbre	The%20quality%20of%20a%20musical%20tone%20that%20distinguishes%20voices%20and%20instruments|\
time	In%20a%20jazz%20or%20rock%20score%2C%20after%20a%20rubato%20or%20rallentendo%20section%2C%20the%20term%20%22time%22%20indicates%20that%20performers%20should%20return%20to%20tempo%20%28this%20is%20equivalent%20to%20the%20term%20%22a%20tempo%22%29|\
tosto	Immediately|\
tranquillo	Calm%2C%20peaceful|\
trattenuto%20%28tratt.%29	Held%20back%20with%20a%20sustained%20tone%2C%20similar%20to%20ritardando|\
tre%20corde%20%28tc%29	Three%20strings%20%28i.e.%20release%20the%20soft%20pedal%20of%20the%20piano%29%20%28see%20una%20corda%29|\
tremolo	Shaking.%20As%20used%20in%201%29%20and%202%29%20below%2C%20it%20is%20notated%20by%20a%20strong%20diagonal%20bar%20%28or%20bars%29%20across%20the%20note%20stem%2C%20or%20a%20detached%20bar%20%28or%20bars%29%20for%20a%20set%20of%20notes..%20A%20rapid%2C%20measured%20or%20unmeasured%20repetition%20of%20the%20same%20note.%20String%20players%20perform%20this%20tremolo%20with%20the%20bow%20by%20rapidly%20moving%20the%20bow%20while%20the%20arm%20is%20tense%3B.%20A%20rapid%2C%20measured%20or%20unmeasured%20alternation%20between%20two%20or%20more%20notes%2C%20usually%20more%20than%20a%20whole%20step%20apart.%20In%20older%20theory%20texts%20this%20form%20is%20sometimes%20referred%20to%20as%20a%20%22trill-tremolo%22%20%28see%20trill%29..%20A%20rapid%2C%20repeated%20alteration%20of%20volume%20%28as%20on%20an%20electronic%20instrument%29%3B.%20vibrato%3A%20an%20inaccurate%20usage%2C%20since%20vibrato%20is%20actually%20a%20slight%20undulation%20in%20a%20sustained%20pitch%2C%20rather%20than%20a%20repetition%20of%20the%20pitch%2C%20or%20variation%20in%20volume%20%28see%20vibrato%29.|\
tresillo%20%28Sp.%29	A%20duple-pulse%20rhythmic%20cell%20in%20Cuban%20and%20other%20Latin%20American%20music|\
trill	A%20rapid%2C%20usually%20unmeasured%20alternation%20between%20two%20harmonically%20adjacent%20notes%20%28e.g.%20an%20interval%20of%20a%20semitone%20or%20a%20whole%20tone%29.%20A%20similar%20alternation%20using%20a%20wider%20interval%20is%20called%20a%20tremolo.|\
triplet%20%28shown%20with%20a%20horizontal%20bracket%20and%20a%20%273%27%29	Three%20notes%20in%20the%20place%20of%20two%2C%20used%20to%20subdivide%20a%20beat.|\
triste	Sad%2C%20wistful|\
tronco%2C%20tronca	Broken%20off%2C%20truncated|\
troppo	Too%20much%3B%20usually%20seen%20as%20non%20troppo%2C%20meaning%20moderately%20or%2C%20when%20combined%20with%20other%20terms%2C%20not%20too%20much%2C%20such%20as%20allegro%20%5Bma%5D%20non%20troppo%20%28fast%20but%20not%20too%20fast%29|\
turn	Multi-note%20ornament%20above%20and%20below%20the%20main%20note%3B%20it%20may%20also%20be%20inverted.%20Also%20called%20gruppetto.|\
tutti	All%3B%20all%20together%2C%20usually%20used%20in%20an%20orchestral%20or%20choral%20score%20when%20the%20orchestra%20or%20all%20of%20the%20voices%20come%20in%20at%20the%20same%20time%2C%20also%20seen%20in%20Baroque-era%20music%20where%20two%20instruments%20share%20the%20same%20copy%20of%20music%2C%20after%20one%20instrument%20has%20broken%20off%20to%20play%20a%20more%20advanced%20form%3A%20they%20both%20play%20together%20again%20at%20the%20point%20marked%20tutti.%20See%20also%20ripieno.|\
un%2C%20una%2C%20or%20uno	One%20or%20%22a%22%20%28indefinite%20article%29%2C%20as%20exemplified%20in%20the%20following%20entries|\
un%20poco%20or%20un%20peu%20%28Fr.%29	A%20little|\
una%20corda	One%20string%20%28i.e.%2C%20in%20piano%20music%2C%20depressing%20the%20soft%20pedal%2C%20which%20alters%20and%20reduces%20the%20volume%20of%20the%20sound%29.%20For%20most%20notes%20in%20modern%20pianos%2C%20this%20results%20in%20the%20hammer%20striking%20two%20strings%20rather%20than%20three.%20Its%20counterpart%2C%20tre%20corde%20%28three%20strings%29%2C%20is%20the%20opposite%3A%20the%20soft%20pedal%20is%20to%20be%20released.|\
unisono%20%28unis%29	In%20unison%20%28i.e.%2C%20several%20players%20in%20a%20group%20are%20to%20play%20exactly%20the%20same%20notes%20within%20their%20written%20part%2C%20as%20opposed%20to%20splitting%20simultaneous%20notes%20among%20themselves%29%3B%20often%20used%20to%20mark%20the%20return%20from%20divisi|\
uptempo	A%20fast%2C%20lively%2C%20or%20increased%20tempo%2C%20or%20played%20or%20done%20in%20such%20a%20tempo%3B%20it%20is%20also%20used%20as%20an%20umbrella%20term%20for%20a%20quick-paced%20electronic%20music%20style|\
ut%20%28Fr.%29	First%20note%20of%20the%20series%20ut%2C%20re%2C%20mi%2C%20fa%2C%20sol%2C%20la%2C%20si%2C%20in%20fixed-do%20solmization|\
vagans%20%28Lat.%29	Lit.%20%22wandering%22%3A%20the%20fifth%20part%20in%20a%20motet%2C%20named%20so%20most%20probably%20because%20it%20had%20no%20specific%20range|\
vamp	Improvised%20accompaniment%2C%20usually%20a%20repeating%20pattern%20played%20before%20next%20musical%20passage.%20See%20vamp%20till%20cue.%20See%20comp%20and%20comping%20%28jazz%29.|\
vamp%20till%20cue	A%20jazz%2C%20fusion%2C%20and%20musical%20theatre%20term%20which%20instructs%20rhythm%20section%20members%20to%20repeat%20and%20vary%20a%20short%20ostinato%20passage%2C%20riff%2C%20or%20%22groove%22%20until%20the%20band%20leader%20or%20conductor%20instructs%20them%20to%20move%20onto%20the%20next%20section|\
variazioni	Variations%2C%20con%20variazioni%3A%20with%20variations/changes|\
veloce	Fast|\
velocit%E0	Speed%3B%20con%20velocit%E0%3A%20with%20speed|\
velocissimo	As%20fast%20as%20possible%3B%20usually%20applied%20to%20a%20cadenza-like%20passage%20or%20run|\
via	Away%2C%20out%2C%20off%3B%20as%20in%20via%20sordina%20or%20sordina%20via%3A%20%27mute%20off%27|\
vibrato	Vibrating%20%28i.e.%20a%20more%20or%20less%20rapidly%20repeated%20slight%20variation%20in%20the%20pitch%20of%20a%20note%2C%20used%20as%20a%20means%20of%20expression%29.%20Often%20confused%20with%20tremolo%2C%20which%20refers%20either%20to%20a%20similar%20variation%20in%20the%20volume%20of%20a%20note%2C%20or%20to%20rapid%20repetition%20of%20a%20single%20note.|\
vif%20%28Fr.%29	Lively|\
violoncello	cello|\
virtuoso	%28noun%20or%20adjective%29%20performing%20with%20exceptional%20ability%2C%20technique%2C%20or%20artistry|\
vite%20%28Fr.%29	Fast|\
vittorioso	Victorious|\
vivace	Lively%2C%20up-tempo|\
vivacissimo	Very%20lively|\
vivamente	With%20liveliness|\
vivezza	Liveliness%2C%20vivacity|\
vivo	Lively%2C%20intense|\
vocal%20score%20or%20piano-vocal%20score	A%20music%20score%20of%20an%20opera%2C%20musical%2C%20or%20a%20vocal%20or%20choral%20composition%20with%20orchestra%20%28like%20oratorio%20or%20cantata%29%20where%20the%20vocal%20parts%20are%20written%20out%20in%20full%20but%20the%20accompaniment%20is%20reduced%20to%20two%20staves%20and%20adapted%20for%20playing%20on%20piano|\
voce	Voice|\
volante	Flying|\
volti%20subito%20%28V.S.%29	Turn%20immediately%20%28i.e.%20turn%20the%20page%20quickly%29.%20While%20this%20indication%20is%20sometimes%20added%20by%20printers%2C%20it%20is%20more%20commonly%20indicated%20by%20orchestral%20members%20in%20pencil%20as%20a%20reminder%20to%20quickly%20turn%20to%20the%20next%20page.|\
weich%20%28Ger.%29	Gentle%2C%20gently|\
wenig%20%28Ger.%29	A%20little%2C%20not%20much|\
weniger%20%28Ger.%29	Less|\
wolno%20%28Pol.%29	Loose%2C%20slowly|\
Z%E4hlzeit%20%28Ger.%29	Beat|\
zart%20%28Ger.%29	Tender|\
Zartheit%20%28Ger.%29	Tenderness|\
z%E4rtlich%20%28Ger.%29	Tenderly|\
Zeichen%20%28Ger.%29	Sign%2C%20mark|\
Zeitma%DF%20or%20Zeitmass%20%28Ger.%29	Time-measure%20%28i.e.%20tempo%29|\
zelo%2C%20zeloso%2C%20zelosamente	Zeal%2C%20zealous%2C%20zealously|\
ziehen%20%28Ger.%29	To%20draw%20out|\
ziemlich%20%28Ger.%29	Fairly%2C%20quite%2C%20rather|\
zitternd%20%28Ger.%29	Trembling%20%28i.e.%20tremolando%29|\
z%F6gernd%20%28Ger.%29	Hesitantly%2C%20delaying%20%28i.e.%20rallentando%29|\
zur%FCckhalten%20%28Ger.%29	Hold%20back"
  }
  Item{
    Component.onCompleted: {pluginscope.dict.push({ tsv:tsv})}
    property string tsv:
"jeté ricochet	throwing the upper part of the bow on the string so it will bounce a series of rapid notes down the bow	eg., fr.|\
mano a borsa	what do you want? or what is your point?	ee., ita.|\
sul tastièra, sul tasto	very near or over the fingerboard	eg., ita.|\
talon	at the frog	|\
c-bout	the waist of the cello, where the body curves in on both sides.	|\
hooked bowing	two or more different detached notes played in one bow stroke, hooked together by a single bow motion	|\
end pin, the spike 	cellos rest on a retractable, adjustable pin, which is mounted in the bottom of the cello’s body.	|\
bass bar	wooden bar affixed to the inside of the top of the instrument. Increases vibration and tone.	|\
ancora	again, repeat	ita.|\
col 8, coll' 8, c. 8va, coll' ottava, with the octave	play the notes in the passage together with the notes in the notated octaves	ita.|\
8va; 8a; at the octave; all' ottava; all' 8va	perform one octave higher than written	ita.|\
alta	higher	ita.|\
8va alta; ottava alta	play one octave higher	ita.|\
bassa	lower	ita.|\
8va bassa; ottava bassa; 8vb	play one octave lower	ita.|\
15ma; quindicesima	play one octave higher	ita.|\
15mb; quindicesima bassa	play two octave lower	ita.|\
a2; a due	as a duet; together play in unison	ita."
  }
  Item{
    Component.onCompleted: {pluginscope.dict.push({tag:'ab', tsv:tsv})}
    property string tsv:
"a	at; to; by; for; in	ita.|\
a capella	unaccompanied. usually in choral music	ita.|\
accelerando	gradually getting faster	ita.|\
accento	accented; emphasised	ita.|\
ad libitum	at choice; freely. 1) A passage may be performed freely. 2) An instrument in a score may be omitted.	ita.|\
adagietto	rather slow. Usually a little faster than adagio	ita.|\
adagio	slowly. Often indicates a speed somewhere between andante and largo	ita.|\
affabile	friendly	ita.|\
affettuoso	tenderly	ita.|\
affrettando	hurrying	ita.|\
agitato	agitated; restless	ita.|\
al; alla	in the manner of	ita.|\
alla breve	with a minim beat	ita.|\
allargando	growing broader	ita.|\
allegretto	fairly quick. Faster than Andante and usually slower than Allegro	ita.|\
allegro	fast	ita.|\
alt	high	ita.|\
amabile	amiable; pleasant	ita.|\
amore	love	ita.|\
andante	walking speed. Moderately slow	ita.|\
andantino	like walking speed. This can mean either slightly slower or slightly faster than andante. It is ambiguous.	ita.|\
anima	soul; spirit	ita.|\
animando	becoming more lively	ita.|\
animato	animated; lively	ita.|\
appassionato	with passion	ita.|\
arco	with the bow. An instruction to string players to use the bow.	ita.|\
arioso	like an aria. Play in the style of an aria (singing)	ita.|\
assai	very	ita.|\
attacca	go straight on. Indicates an immediate move to the next section of music.	ita.|\
ben; bene	well	ita.|\
bis	twice. Indicates the repetition of a short passage.	ita.|\
bravura	skill; brilliance	ita.|\
brio	vigour	ita.|\
calando	getting softer; dying away. Usually includes slowing down	ita.|\
calmato	quieted	ita.|\
cantabile	in a singing style	ita.|\
cantando	singing	ita.|\
capriccioso	in a whimsical or fanciful style	ita.|\
col; colla; colle	with	ita.|\
come	as; similar to	ita.|\
comodo	easy, comfortable, convenient	ita.|\
con	with	ita.|\
crescendo	gradually getting louder	ita.|\
da capo	from the beginning. An instruction to repeat the misc from the beginning.	ita.|\
dal segno	from the sign. An instruction to repeat the misc from the sign.	ita.|\
deciso	with determination	ita.|\
decrescendo	gradually getting softer	ita.|\
delicato	delicate	ita.|\
diminuendo	gradually getting softer	ita.|\
dolce	sweetly	ita.|\
dolcissimo	as sweet as possible	ita.|\
dolente	sad; mournful	ita.|\
dolore	grief	ita.|\
doloroso	sorrowful	ita.|\
doppio movimento	twice as fast	ita.|\
e; ed	and	ita.|\
energico	energetic	ita.|\
espressivo	expressive	ita.|\
estinto	as soft as possible	ita.|\
facile	easy	ita.|\
felice	happy	ita.|\
fermata	pause	ita.|\
feroce	fierce	ita.|\
fine	the end. Often used in conjunction with \"da capo\" or \"dal segno\" to indicate where to end the piece after repeating.	ita.|\
flessibile	flexible	ita.|\
forte	loud; strong	ita.|\
fortepiano	loud then immediately soft	ita.|\
fortissimo	very loud	ita.|\
forza	force	ita.|\
forzando	strongly accented	ita.|\
fretta	haste	ita.|\
fuoco	fire	ita.|\
furioso	furious	ita.|\
giocoso	playful; humerous	ita.|\
giojoso	joyful; merry	ita.|\
giusto	proper; exact	ita.|\
grandioso	grandly	ita.|\
grave	very slow; solemn	ita.|\
grazioso	graceful	ita.|\
gusto	with zest	ita.|\
impetuoso	impetuous	ita.|\
incalzando	getting quicker	ita.|\
inquieto	restless	ita.|\
in relievo	prominent. A direction to make the melody stand out.	ita.|\
lacrimoso	sad	ita.|\
largamente	broadly	ita.|\
larghetto	rather slow. Slightly faster than largo.	ita.|\
largo	rather slow; stately	ita.|\
legato	smoothly. Indicates no break between notes.	ita.|\
leggiero	light; nimble	ita.|\
lento	slow	ita.|\
liberamente	freely	ita.|\
l'istesso	the same	ita.|\
loco	at the normal pitch. Used to cancel an 8va direction. Also used to confirm that 8va is not intended.	ita.|\
lugubre	mournful	ita.|\
lunga	long	ita.|\
lusigando	coaxing	ita.|\
ma	but	ita.|\
maestoso	majestic	ita.|\
mancando	fading away	ita.|\
marcato	stressed, emphatic, accented	ita.|\
marziale	in a military style	ita.|\
meno	less	ita.|\
mesto	sad	ita.|\
mezzoforte	moderately loud	ita.|\
mezzopiano	moderately soft	ita.|\
misterioso	mysterious	ita.|\
misura	measure	ita.|\
moderato	moderate speed	ita.|\
molto	very; much	ita.|\
morendo	dying away	ita.|\
mosso	movement	ita.|\
moto	movement	ita.|\
niente	nothing	ita.|\
nobilmente	nobly	ita.|\
non	not	ita.|\
nuovo	new	ita.|\
obbligato	obligatory. Indicates that an instrument has a special role and is essential.	ita.|\
ossia	or; alternatively. Often used to indicate a simpler version of a difficult passage.	ita.|\
ostinato	persistent. Generally refers to a persistently repeated rhythmic or melodic figure.	ita.|\
parlando	speaking. A direction for a singer to sing in a conversational style.	ita.|\
patetico	with deep feeling	ita.|\
pausa	pause	ita.|\
per	by; for; to	ita.|\
perdendosi	dying away	ita.|\
pesante	heavy	ita.|\
piacevole	pleasant	ita.|\
piangevole	plaintive	ita.|\
pianissimo	very soft	ita.|\
piano	soft	ita.|\
più	more	ita.|\
pizzicato	plucked. An instruction to string players to pluck the strings, rather than bow them.	ita.|\
placido	calm; peaceful	ita.|\
pochettino	rather little	ita.|\
poco	a little	ita.|\
possible	possible	ita.|\
precipitando	rushing; headlong	ita.|\
presto	very fast	ita.|\
prima; primo	first	ita.|\
quasi	as if; resembling	ita.|\
rallentando	gradually getting slower, create a sense of relaxation or mellowness	ita.|\
rigoroso	strict	ita.|\
rinforzando	reinforcing	ita.|\
risoluto	bold; strong	ita.|\
ritardando	slowing down and then stop, create tension	ita.|\
ritenuto	held back, slightly slower	ita.|\
ritmico	rhythmically	ita.|\
rubato	with some freedom of time	ita.|\
scherzando; scherzoso	playful; joking	ita.|\
scherzo	joke; jest. A movement in a piece, generally light and humerous in nature.	ita.|\
seconda; secondo	second	ita.|\
semplice	simple; plain	ita.|\
sempre	always	ita.|\
senza	without	ita.|\
segue	go straight on	ita.|\
sforzando	forced; accented	ita.|\
simile	in the same way	ita.|\
slargando	getting slower	ita.|\
slancio	enthusiasm	ita.|\
smorzando	dying away. Both tone and speed	ita.|\
soave	gentle; smooth	ita.|\
solenne	solemn; grave	ita.|\
sonoro	resonant; with rich tone	ita.|\
sopra	above	ita.|\
sospirando	sighing	ita.|\
sostenuto	sustained	ita.|\
sotto	below	ita.|\
spirito	spirited	ita.|\
spiritoso	spirited	ita.|\
staccato	detached	ita.|\
strepitoso	noisy; boisterous	ita.|\
stretto	quickening the speed. Also means overlapping entries of a fugue subject.	ita.|\
stringendo	gradually getting faster	ita.|\
subito	suddenly	ita.|\
tacet	silent. A direction that a particular part has nothing to play in a section of music.	ita.|\
tanto	so much	ita.|\
tempo	speed	ita.|\
teneramente	tenderly	ita.|\
tenuto	held	ita.|\
tosto	swift; rapid	ita.|\
tranquillo	calm	ita.|\
trionfale	triumphant	ita.|\
triste; tristamente	sad; sorrowful	ita.|\
troppo	too much	ita.|\
tutti	all; everyone	ita.|\
veloce	swift	ita.|\
vigoroso	vigorous; strong	ita.|\
vivace	lively	ita.|\
vivo	lively	ita.|\
voce	voice	ita.|\
volante	flying; fast	ita.|\
volta	time	ita.|\
volti subito	turn the page at once	ita.|\
a piacere	at pleasure	eg., ita.|\
a tempo	in time (back to the previous speed).	eg., ita.|\
al fine	to the end	eg., ita.|\
alla marcia	in the style of a march	eg., ita.|\
alla misura	in strict time; senza misura	eg., ita.|\
allegro assai	very fast	eg., ita.|\
allegro ma non troppo	quick but not too quick	eg., ita.|\
allegro moderato	moderately fast.	eg., ita.|\
allegro molto	very fast	eg., ita.|\
ben marcato	well marked	eg., ita.|\
colla voce	with the voice	eg., ita.|\
come prima	as before	eg., ita.|\
con anima	with spirit	eg., ita.|\
con brio	with vigour	eg., ita.|\
con calore	with warmth	eg., ita.|\
con forza	with force	eg., ita.|\
con fuoco	with fire	eg., ita.|\
con moto	with movement	eg., ita.|\
di nuovo	again	eg., ita.|\
in alt	alt means high. in alt is used in volcal music to refer to notes in the octave above the treble stave.	eg., ita.|\
l'istesso tempo	at the same speed	eg., ita.|\
lunga pausa	long pause	eg., ita.|\
meno forte	less loud	eg., ita.|\
più forte	louder	eg., ita.|\
meno mosso	less movement	eg., ita.|\
più mosso	more movement	eg., ita.|\
poco a poco	little by little	eg., ita.|\
presto possible	as fast as possible	eg., ita.|\
prima volta	first time	eg., ita.|\
quasi recitativo	like a recitative	eg., ita.|\
sempre staccato	always detached	eg., ita.|\
senza misura	freely (not in time)	eg., ita.|\
sotto voce	in an undertone	eg., ita.|\
tempo comodo	at a comfortable speed	eg., ita.|\
tempo primo	revert to the speed at the beginning of the piece of music	eg., ita.|\
accel.	accelerando. gradually getting faster	abbr., ita.|\
ad lib.	ad libitum. at choice; freely.. 1) A passage may be performed freely. 2) An instrument in a score may be omitted.	abbr., ita.|\
cresc.	crescendo. gradually getting louder	abbr., ita.|\
D.C.	da capo. from the beginning.. An instruction to repeat the misc from the beginning.	abbr., ita.|\
D.S.	dal segno. from the sign.. An instruction to repeat the misc from the sign.	abbr., ita.|\
decresc.	decrescendo. gradually getting softer	abbr., ita.|\
dim.	diminuendo. gradually getting softer	abbr., ita.|\
espr.	espressivo. expressive	abbr., ita.|\
f	forte. loud; strong	abbr., ita.|\
fp	fortepiano. loud then immediately soft	abbr., ita.|\
ff	fortissimo. very loud	abbr., ita.|\
fz	forzando, strongly accented	abbr., ita.|\
marc.	marcato. emphatic; accented	abbr., ita.|\
mf	mezzoforte. moderately loud	abbr., ita.|\
mp	mezzopiano. moderately soft	abbr., ita.|\
pp	pianissimo. very soft	abbr., ita.|\
p	piano. soft	abbr., ita.|\
poch.	pochettino. rather little	abbr., ita.|\
rall.	rallentando. gradually getting slower, create a sense of relaxation or mellowness	abbr., ita.|\
rf; rfz; rinf	rinforzando. reinforcing	abbr., ita.|\
rit.	ritardando. slowing down and then stop, create tension	abbr., ita.|\
rit.	ritenuto. held back, slightly slower	abbr., ita.|\
sf; sfz	sforzando. forced; accented	abbr., ita.|\
sim.	simile. in the same way	abbr., ita.|\
smorz.	smorzando. dying away.. Both tone and speed	abbr., ita.|\
V.S.	volti subito. turn the page at once	abbr., ita.|\
aber	but	ger.|\
als	than	ger.|\
ausdruck	expression	ger.|\
bestimmt	with decision	ger.|\
bewegt	with movement; agitated	ger.|\
breit	broad; expansive	ger.|\
doch	however; yet	ger.|\
ein	a; one	ger.|\
einfach	simple	ger.|\
empfindung	emotion; feeling	ger.|\
etwas	somewhat; rather	ger.|\
feurig	fiery	ger.|\
fliessend	flowing	ger.|\
frei	free	ger.|\
frisch	vigorous	ger.|\
fröhlich	cheerful; joyful	ger.|\
gebunden	joined	ger.|\
gehend	at a steady speed	ger.|\
gesangvoll	in a singing style	ger.|\
geschwind	quick	ger.|\
Generalpause	everyone is silent. An indication to an individual player that all players are silent.	ger.|\
immer	always	ger.|\
innig	heartfelt; sincere	ger.|\
kräftig	strong	ger.|\
langsam	slow	ger.|\
lebhaft	lively	ger.|\
leicht	light; nimble	ger.|\
Leidenschaft	passion	ger.|\
leise	soft; gentle	ger.|\
lieblich	lovely	ger.|\
lustig	cheerful	ger.|\
mässig	at a moderate speed	ger.|\
mit	with	ger.|\
munter	lively	ger.|\
nach und nach	gradually	ger.|\
nicht	not	ger.|\
ohne	without	ger.|\
rasch	quick	ger.|\
ruhig	peaceful	ger.|\
schleppen	dragging	ger.|\
schnell	fast	ger.|\
schwach	weak	ger.|\
sehr	very	ger.|\
stark	strong	ger.|\
süss	sweet	ger.|\
traurig	sad	ger.|\
und	and	ger.|\
viel	much	ger.|\
voll	full	ger.|\
vorgetragen	brought out; prominent	ger.|\
wenig	little	ger.|\
wieder	again	ger.|\
zart	tender; delicate	ger.|\
ziemlich	moderately	ger.|\
zu	to; too	ger.|\
etwas schneller	somewhat faster	eg., ger.|\
immer langsam	always slowly	eg., ger.|\
sehr ruhig	very calm	eg., ger.|\
G.P.	Generalpause. Everyone is silent	abbr., ger.|\
à	at; to	fr.|\
amour	love	fr.|\
animé	animated; lively	fr.|\
apaisé	calmed	fr.|\
assez	enough; sufficiently	fr.|\
avec	with	fr.|\
cédez	yield; relax the speed	fr.|\
comme	as; similar to	fr.|\
douce; doux	sweetly	fr.|\
emporté	fiery; impetuous	fr.|\
en animant	becoming more lively	fr.|\
en cédant	yielding	fr.|\
en dehors	prominent. A direction to make the melody stand out.	fr.|\
en mesure	in time	fr.|\
en pressant	hurrying on	fr.|\
en retenant	holding back	fr.|\
en serrant	becoming quicker	fr.|\
et	and	fr.|\
flottant	floating	fr.|\
gracieux	graceful	fr.|\
joyeux	joyful	fr.|\
légèrement	light	fr.|\
lent	slow	fr.|\
librement	freely	fr.|\
lointain	distant	fr.|\
lourd	heavy	fr.|\
mais	but	fr.|\
modéré	at a moderate speed	fr.|\
moins	less	fr.|\
peu	little	fr.|\
plus	more	fr.|\
presser	hurry	fr.|\
ralentir	slow down	fr.|\
retenu	held back	fr.|\
sans	without	fr.|\
sautillé	springing	fr.|\
sec	crisp; dry. Suppress the sound as quickly as possible - do not allow it to reverberate.	fr.|\
seul	alone	fr.|\
serrer	hurry; quicken	fr.|\
sonore	resonant; with rich tone	fr.|\
sous	under	fr.|\
très	very	fr.|\
un	one	fr.|\
vif	lively	fr.|\
vite	quick	fr.|\
vivement	lively	fr.|\
plus vite	faster	eg., fr.|\
moins vite	less fast	eg., fr.|\
peu à peu	little by little	eg., fr.|\
come prima	as before	eg., fr.|\
sans ralentir	without slowing down	eg., fr."
  }
  Item{
    Component.onCompleted: {pluginscope.dict.push({tag:'mood', tsv:tsv})}
    property string tsv:
"affettuoso	with feeling	ita.|\
lamentoso	mournfully	ita.|\
agitato	agitated	ita.|\
leggero	lightly	ita.|\
appassionato	passionately	ita.|\
maestoso	majestically	ita.|\
animato	animated	ita.|\
malinconico	melancholically	ita.|\
brillante	sparkling	ita.|\
marcato	marked	ita.|\
bravura	boldly	ita.|\
marziale	in a military style	ita.|\
cantabile	in a singing style	ita.|\
mesto	sadly	ita.|\
dolce	sweetly	ita.|\
morendo	dying	ita.|\
energico	energetically	ita.|\
nobilmente	nobly	ita.|\
eroico	heroically	ita.|\
patetico	with emotion	ita.|\
espressivo	expressively	ita.|\
pesante	heavily	ita.|\
furioso	angrily	ita.|\
saltando	jumpingly	ita.|\
giocoso	merrily	ita.|\
scherzando	playfully	ita.|\
gioioso	joyfully	ita.|\
sostenuto	sustained	ita.|\
grandioso	grandly	ita.|\
tenerezza	tenderness	ita.|\
grazioso	gracefully	ita.|\
tranquillamente	calmly	ita.|\
lacrimoso	sadly	ita.|\
trionfante	triumphantly	ita."
  }
/**/
  menuPath: "Plugins.Expression Dictionary QML"
  version: "230126B"
  pluginType: "dock"
  anchors.fill: parent
  implicitHeight: 9999
  id:pluginscope
  property bool debugging                       :true
  property var dict:[]
  property var db:[]
  property var tabledb:[]
  Settings {
    id: settings
    category: "PluginExpressionDictionaryQML"
    property bool darktheme
    property var selectedtext:[]
  }
/**/
  function b(x){
    var y=x
    var ts=[
       ['Çç','c']
      ,['ÁÂÀáâàÄä','a']
      ,['ÉÊÈéêèËë','e']
      ,['ÍÎÌíîìÏï','i']
      ,['ÓÔÒóôòÖö','o']
      ,['ÚÛÙúûùÜü','u']
      ,["’","'"]
      ,['Ññ','n']
      ,['ß','ss']
    ]
    ts.map(function(t){ y=y.replace(new RegExp('['+t[0]+']','g'),t[1]) })
    return y.toLowerCase()
  }
  function romanize(x){return (b(x)+(~x.indexOf('ß')?b(' '+x.replace(/ß/g,'b')):'')).toLowerCase()}
  function addone(x){
    x.itemromanlower=romanize(x.esc?unescape(x.item):x.item)
    x.defromanlower=romanize(x.esc?unescape(x.def):x.def)
    x.dbid=pluginscope.db.length
    pluginscope.db.push(x)
  }
  function gendb(){
    pluginscope.db=[]
    pluginscope.dict.map(function(x){
      x.tsv.split('|').map(function(z){
        var y=z.split('\t')
        addone({
           item:x.esc?unescape(y[0]):y[0]
          ,def:(x.esc?unescape(y[1]):y[1])||''
          ,tagstr:[(y[2]||''),(x.tag||'')].filter(function(x){return x!==''}).join(', ') // array not allowed nested inside [{}] ?
        })
      })
    })
  }
/**/
  function essential(x){return (x.replace(/[^A-Za-z0-9\s':]/g,''))}
  /**/
  function finditemexact(x,t){return (x.itemromanlower.split(/[\s;,]+/).map(essential).filter(function(y){return y===t}).length>0)}  //exact match 
  function finditemany(x,t){return (~x.itemromanlower.indexOf(t))}
  function finditemeff(x,t){return (t.length<=2?finditemexact(x,t):finditemany(x,t))}
  /**/
  function finddef(x,t){return (~x.defromanlower.indexOf(t))}
  function nonblank(x){return x}
  /**/
  function gentableview(payload){
    // if(payload && payload.hideitems && payload.hideitems.length>0){
    //   for (var i=0; i<pluginscope.tabledb.length; i++){
    //     if(~payload.hideitems.indexOf(pluginscope.tabledb[i].dbid)){
    //       pluginscope.tabledb[i].hidden=true
    //     }
    //   }
    // }
    if(payload && payload.resettable) {
        gendb()
        pluginscope.tabledb=pluginscope.db
      }
    if(payload && payload.query!==undefined) {
      var t=romanize(payload.query)
      var tda=t.split(usersettings.andPre)
      var tdo=t.split(usersettings.orPre)
      var tdu=tda[1]||tdo[1] //and over or
      if(tdu) var tds=essential(romanize(tdu)).split(' ').filter(nonblank)
      var ts=essential(romanize(tda[1]?tda[0]:tdo[1]?tdo[0]:t)).split(' ').filter(nonblank)
      // function sortpre(x){return (ts.slice(0,-1)
      //   .map(function (y){return finditemexact(x,y)})
      //   .reduce(function(a,b){return (b||a)},false))}
      // function sortlast(x){return (ts.slice(-1))}
      for (var i=0; i<pluginscope.tabledb.length; i++){
        var x=pluginscope.tabledb[i]
        pluginscope.tabledb[i].hidden=!(
          payload.query.length==0
            //ts.reduce(function(a,b){return a||~pluginscope.tabledb[i].itemromanlower.indexOf(b)},false)
          ||(
            tdu?(     tds.map(function(y){return finddef(x,y)})
                         .reduce(function(a,b){return (tda[1]?(b&&a):(b||a))} ,tda[1]?true:false)
                   && (    ts.map(function(y){return finditemany(x,y).length==0})
                        || ts.map(function(y){return finditemany(x,y)})
                            .reduce(function(a,b){return (b||a)})
                      )
                )
            :   (     ts.slice(0,-1).map(function(y){return finditemeff(x,y)})
                                    .reduce(function(a,b){return (b||a)} ,false)
                   || ts.slice(-1).map(function(y){return finditemany(x,y)})
                                  .reduce(function(a,b){return (b||a)} ,false)
                )
          )
        )
      }
    }
    md1.clear()
    pluginscope.tabledb.map(function(r){
      if(!r.hidden) md1.append(r)
    })
    console.log("gentableview done: "+JSON.stringify(payload))
  }
/**/
  property var timeout
  Component { id: setTimeout ; Timer {  } }
  function debounced(curryt,curryf){
    return function(obj){
      if(pluginscope.timeout) pluginscope.timeout.stop()
      pluginscope.timeout=setTimeout.createObject(pluginscope,{
         interval:curryt
         //,onTriggered:function(){ curryf(obj) }   //?cannot curry?
        ,running:true
      })
      pluginscope.timeout.triggered.connect(function(){ curryf(obj) })
    }
  }
  property var gentableviewdebounced:debounced(usersettings.inputdebounce,gentableview)
/**/
  function addtext(e,x,s,p) {
    var c=curScore.newCursor()
    c.inputStateMode=Cursor.INPUT_STATE_SYNC_WITH_SCORE
    var t = newElement(Element[e])
    t.text = x
    if(s!=undefined) t.subStyle=Tid[s]
    if(p!=undefined) t.placement=Placement[p]
    if(e=='DYNAMIC') t.velocity=80
    curScore.startCmd()
    c.add(t)
    curScore.endCmd()
  }
  function addexptext(t){addtext('STAFF_TEXT',t||ti.text , "EXPRESSION", 'BELOW')}
  function tempo(t){addtext('TEMPO_TEXT',t||ti.text)}
  function dyn(t){addtext('DYNAMIC',t||ti.text)}
  function systxt(t){addtext('SYSTEM_TEXT',t||ti.text)}
  function staff(t){addtext('STAFF_TEXT',t||ti.text)}
/**/
  function unglyphdyn(t){
    var y=t
    var ts=[
       ['<sym>dynamic','']
      ,['</?sym>','']
      ,['RinforzandoForteZ','rfz']
      ,['SforzandoForte','sf']
      ,['SforzandoForteZ','sfz']
      ,['(Forte){4,}','forti']
      ,['(Forte){3}','fff']
      ,['(Forte){2}','ff']
      ,['(Piano){4,}','piani']
      ,['(Piano){3}','ppp']
      ,['(Piano){2}','pp']
    ]
    ts.map(function(t){ y=y.replace(new RegExp(t[0],'g'),t[1]) })
    return y
  }
  function renewselectedtext(){
    settings.selectedtext=[]
    for(var i in curScore.selection.elements){
      var e=curScore.selection.elements[i]
      if(
        ~[
         'TEXT'
        ,'TEMPO_TEXT'
        ,'STAFF_TEXT'
        ,'SYSTEM_TEXT'
        ,'DYNAMIC'
        ].map(function(x){return Element[x]})
        .indexOf(e.type)
      )   settings.selectedtext.push({text:unglyphdyn(e.text), typeenum:e.type, typename: e.name})
    }
    gentableview({query:settings.selectedtext.map(function(t){return t.text}).join(' ')})
  }
  onScoreStateChanged: { if(state.selectionChanged && curScore && curScore.metaTag('PluginExpressionDictionaryQMLLastInstance')===instanceStamp)  renewselectedtext() }
/**/
  // Item { id:stealfocusfrombutton; focus:true }
  property string instanceStamp:Date.now()
  function ownInstance(){
    instanceStamp=Date.now()
    curScore.setMetaTag('PluginExpressionDictionaryQMLLastInstance', instanceStamp)
    console2log('dict:'+pluginscope.dict.length)
    if(!pluginscope.db.length>0)  gentableview({resettable:true})
    console2log('db:'+pluginscope.db.length)
  }
/**/
  property bool ms3buglogfunctional:false
  function console2log(x){
    if(pluginscope.debugging){
      if(pluginscope.ms3buglogfunctional){ console.log(x)
      }else{ confirm(x) }
    }
  }
  function oncompletelast(){
    ownInstance()
    if (mscoreMajorVersion >= 4) {
        pluginscope.title = "Expression Dictionary QML"
        // some_id.thumbnailName = "thumbnail.png";
        // some_id.categoryCode = "some_caregory";
    }
    pluginscope.ms3buglogfunctional=true
  }
/**/
  Item{
    id: css
    property int h: 20
    // property int inputbtnpadding: 5
    property int tagpadding: 5
  }
  Column{
    anchors.fill: parent
    Item{
      id:h1
      height: h1r.height+h1r.spacing*2
      width: parent.width
      RowLayout{
        id:h1r
        anchors.horizontalCenter:parent.horizontalCenter
        anchors.verticalCenter:parent.verticalCenter
        width:parent.width-anchors.leftMargin *2
        anchors.leftMargin : this.spacing
        // spacing:css.inputbtnpadding
        TextField  {
          selectByMouse:true
          focus:true
          id:ti
          Layout.fillWidth: true
          font.pixelSize: css.h
          padding :0
          onTextEdited: pluginscope.gentableviewdebounced({ query : ti.text })
          // onEditingFinished: addtext('STAFF_TEXT',ti.text , "EXPRESSION", 'BELOW') // wrong : also when lost focus
          // onAccepted: function(k){ if(!k)/*undefined=Enter*/ addexptext(ti.text)}  //when the Return or Enter key is pressed
          Keys.onPressed: function(event){ if (~usersettings.keyExpTxt.indexOf(event.key)) addexptext() }
        }
        Button {
          id:addexptextbtn
          text: '+' 
          hoverEnabled:true
          ToolTip{
            visible: parent.hovered
            delay: usersettings.tooltipdelay
            contentItem:Text{
              width:parent.width
              height:parent.height
              text: '<font>Insert <b><l>Expression text</l></b> (Enter)'
                    +'<br>A Staff Text with Style property "Expression", placed below the staff.'
                    +'<br>Does not contain <b>Tempo</b> or <b>Velocity</b> property</font>'
              wrapMode:Text.WordWrap
            }
          }
          Layout.preferredWidth: this.height
          Layout.maximumWidth: this.height
          font.pixelSize: css.h
          onClicked: addexptext()
        }
        Button {
          id:addmore
          text: '+..' 
          hoverEnabled:true
          ToolTip{
            visible: parent.hovered
            delay: usersettings.tooltipdelay
            contentItem:Text{ width:parent.width; height:parent.height; wrapMode:Text.WordWrap
              text: 'Choose which type of text to insert'
            }
          }
          Layout.preferredWidth: this.height
          Layout.maximumWidth: this.height
          font.pixelSize: css.h
          onClicked: contextMenu.open()
          Menu{
              id: contextMenu
              width:longestmenuitem.contentItem.implicitWidth+longestmenuitem.padding*2
              MenuItem{ text: "<b>Tempo<</b>"
                        onClicked: tempo()
                        ToolTip{
                          visible: parent.hovered
                          delay: usersettings.tooltipdelay
                          contentItem:Text{ width:parent.width; height:parent.height; wrapMode:Text.WordWrap
                            text: '<b>Tempo</b> property to affect playback tempo'
                          }
                        }
                      }
              MenuItem{ text: "<i><b>Dynamics</b></i>" 
                        onClicked: dyn()
                        ToolTip{
                          visible: parent.hovered
                          delay: usersettings.tooltipdelay
                          contentItem:Text{ width:parent.width; height:parent.height; wrapMode:Text.WordWrap
                            text: '<b>Velocity</b> property to affect playback loudness'
                          }
                        }}
              MenuItem{ text: "StaffText"
                        onClicked: staff()
                        ToolTip{
                          visible: parent.hovered
                          delay: usersettings.tooltipdelay
                          contentItem:Text{ width:parent.width; height:parent.height; wrapMode:Text.WordWrap
                            text: 'Does not contain <b>Tempo</b> or <b>Velocity</b> property'
                          }
                        }}
              MenuItem{ text: "SystemText";id:longestmenuitem
                        onClicked: systxt()
                        ToolTip{
                          visible: parent.hovered
                          delay: usersettings.tooltipdelay
                          contentItem:Text{ width:parent.width; height:parent.height; wrapMode:Text.WordWrap
                            text: 'Does not contain <b>Tempo</b> or <b>Velocity</b> property'
                          }
                        }}
          }
        }
      }
    }
    Item{
      // anchors.fill: parent
      clip:true
      width: parent.width
      height: parent.height-h1.height -h2.height
      ListModel { id: md1 }    //ref from delegate use getview1.ListView.view.model
      ListView {
        boundsBehavior:Flickable.StopAtBounds
        anchors.fill: parent
        id: listview1         //ref from delegate use getview1.ListView.view
        model: md1  
        delegate: Component {
          Row{
            id: getview1
            width: getview1.ListView.view.width
            Button{
              width: parent.width
              height: css.h+this.padding*2
              hoverEnabled:true
              ToolTip{
                visible: parent.hovered
                delay: usersettings.tooltipdelay
                contentItem:Text{
                  width:parent.width
                  height:parent.height
                  text: '<font color="grey"><i>click to append to current</i></font>'
                        +'<br>'+item
                        +'<br><font color="grey">'+def+'</font>'
                  wrapMode:Text.WordWrap
                }
              }
              contentItem: Item{
                Text{
                  height: css.h
                  width: parent.width-tsview.contentWidth-css.tagpadding
                  text: '<font>'+item+'</font><font color="grey"> - '+(def.substr(0,100)+(def.length>100?'...':''))+'</font>'
                  font.pixelSize:999; fontSizeMode:Text.VerticalFit; horizontalAlignment:Text.AlignLeft; verticalAlignment:Text.AlignVCenter; clip:true
                }
                Rectangle {
                  anchors.right: parent.right
                  width: tsview.contentWidth + css.h/4
                  height: tsview.contentHeight
                  anchors.verticalCenter:parent.verticalCenter
                  Text {
                    id:tsview
                    anchors.fill: parent
                    text: tagstr
                    font.pixelSize:getview1.height/3; horizontalAlignment:Text.AlignHCenter; verticalAlignment:Text.AlignVCenter; clip:true
                  }
                }
              }
              onClicked:{ ti.text+=' '+item }
            }
          }
        }
      }
    }
    Button {
      visible: pluginscope.debugging
      height: pluginscope.debugging?h1.height:0
      id:h2
      width: parent.width
      text: "resettable"
      onClicked: gentableview({ resettable : true })
    }
  }
/**/
  Component { id: msg ; MessageDialog { title: "Confirm"; standardButtons: StandardButton.Ok; /*onAccepted: console2log("ok")*/ } }
  function confirm(t){ msg.createObject(pluginscope,{ text:t, visible: true}) }
}