import MuseScore 3.0
import QtQuick 2.9
import QtQuick.Controls 2.2
import QtWebEngine 1.5
import QtWebChannel 1.0
import Qt.labs.settings 1.0
MuseScore {
  menuPath: "Plugins.Expression Dictionary WE"
  version: "230126B"
  pluginType: "dock"
  anchors.fill: parent
  implicitHeight: 9999
  id:pluginscope
  function unglyphdyn(t){
    var y=t
    var ts=[
       ['<sym>dynamic','']
      ,['</?sym>','']
      ,['RinforzandoForteZ','rfz']
      ,['SforzandoForte','sf']
      ,['SforzandoForteZ','sfz']
      ,['(Forte){4,}','forti']
      ,['(Forte){3}','fff']
      ,['(Forte){2}','ff']
      ,['(Piano){4,}','piani']
      ,['(Piano){3}','ppp']
      ,['(Piano){2}','pp']
    ]
    ts.map(function(t){ y=y.replace(new RegExp(t[0],'g'),t[1]) })
    return y
  }
  function renewselectedtext(){
    settings.selectedtext=[]
    for(var i in curScore.selection.elements){
      var e=curScore.selection.elements[i]
      if(
        ~[
         'TEXT'
        ,'TEMPO_TEXT'
        ,'STAFF_TEXT'
        ,'SYSTEM_TEXT'
        ,'DYNAMIC'
        ].map(function(x){return Element[x]})
        .indexOf(e.type)
      )   settings.selectedtext.push({text:unglyphdyn(e.text), typeenum:e.type, typename: e.name})
    }
    genview()
  }
  QtObject { id: backendobj; WebChannel.id: "backendid"
    signal post(string payload)
    function xhr(url, callback) { //wv CORS
      var xhr = new XMLHttpRequest()
      xhr.onreadystatechange = function(){if(xhr.readyState===XMLHttpRequest.DONE) callback(xhr)}
      xhr.open("GET", url)
      xhr.send()
    }
    function addtext(e,x,s,p) {
      var c=curScore.newCursor()
      c.inputStateMode=Cursor.INPUT_STATE_SYNC_WITH_SCORE
      var t = newElement(Element[e])
      t.text = x
      if(s!=undefined) t.subStyle=Tid[s]
      if(p!=undefined) t.placement=Placement[p]
      if(e=='DYNAMIC') t.velocity=80
      curScore.startCmd()
      c.add(t)
      curScore.endCmd()
    }
    property var sc:{0:'No HTTP Response (Bad connection)',100:'Continue',101:'Switching Protocols',102:'Processing',200:'OK',201:'Created',202:'Accepted',203:'Non Authoritative Information',204:'No Content',205:'Reset Content',206:'Partial Content',207:'Multi-Status',300:'Multiple Choices',301:'Moved Permanently',302:'Moved Temporarily',303:'See Other',304:'Not Modified',305:'Use Proxy',307:'Temporary Redirect',308:'Permanent Redirect',400:'Bad Request',401:'Unauthorized',402:'Payment Required',403:'Forbidden',404:'Not Found',405:'Method Not Allowed',406:'Not Acceptable',407:'Proxy Authentication Required',408:'Request Timeout',409:'Conflict',410:'Gone',411:'Length Required',412:'Precondition Failed',413:'Request Entity Too Large',414:'Request-URI Too Long',415:'Unsupported Media Type',416:'Requested Range Not Satisfiable',417:'Expectation Failed',418:'I am a teapot',419:'Insufficient Space on Resource',420:'Method Failure',421:'Misdirected Request',422:'Unprocessable Entity',423:'Locked',424:'Failed Dependency',428:'Precondition Required',429:'Too Many Requests',431:'Request Header Fields Too Large',451:'Unavailable For Legal Reasons',500:'Internal Server Error',501:'Not Implemented',502:'Bad Gateway',503:'Service Unavailable',504:'Gateway Timeout',505:'HTTP Version Not Supported',507:'Insufficient Storage',511:'Network Authentication Required'}
    function backf(payload){
      if(payload){
        if(payload.reload) ownInstance()
        if(payload.n){ settings[payload.n]=payload.v ; genview() }
        if(payload.wiki)
          xhr(
            'https://en.wikipedia.org/w/api.php?action=parse&format=json&page=Glossary_of_music_terminology&formatversion=2'
            ,function(r){
              var error=!(r.status >= 200 && r.status < 300)
              if(!error){
                settings.wiki=JSON.parse(r.responseText).parse.text
                settings.wikiver=(new Date()).toLocaleDateString()
              }
              genview({error:error, status:r.status, sc:sc[r.status]})
          })
        if(payload.resetwiki){
          settings.wiki='' /* ?Settings cannot assign undefined? */
          settings.wikiver=''
          genview({error:false,reset:true}) 
        }
        if(payload.init!==undefined){ /*init after resetwiki cos one combined pass in clickfunc.resetwikiinit*/
          if(settings.wikiver==undefined||settings.wikiver==''){
            settings.wiki=payload.init.html
            settings.wikiver=payload.init.ver
            genview({error:false,init:'local'})
          }else{
            genview({error:false,init:settings.wikiver==payload.init.ver?'local':'userupdated'})
          }
        }
        if(payload.addtext) addtext(payload.addtext, payload.content, payload.style, payload.placement)
        if(payload.refresh) genview()
        if(payload.logback)
          for(var i in settings){
            if(typeof settings[i]!=='function') console.log(i+' : '+(settings[i].length>100?settings[i].slice(0,100)+'...':settings[i]))
          }
        stealfocusfrombutton.forceActiveFocus()
      }
    }
  }
  WebChannel { id: channel; registeredObjects: [backendobj] }
  WebEngineView { id : wv; webChannel: channel; url : "ExpressionDictionaryWE.html"
    anchors.fill: parent
    onContextMenuRequested: request.accepted = true //disable right click menu
    onLoadingChanged: { if(loadRequest.status === WebEngineView.LoadSucceededStatus) runJavaScript("clickfunc.initfrombackend()") }
    onJavaScriptConsoleMessage: function(w,s,l,i){ console.log('wv console line '+l+' : '+s) }
  }
  Item { id:stealfocusfrombutton; focus:true }
  function genview(fetch){
    backendobj.post(JSON.stringify({
       uibodyclass: {
         darktheme: settings.darktheme
        ,smallerfont: settings.smallerfont
      }
      ,fsm: {
         ver: pluginscope.version
        ,selectedtext: settings.selectedtext
        ,wiki: settings.wiki
        ,wikiver: settings.wikiver
        ,fetch: fetch
      }
    }))
  }
  property string instanceStamp:Date.now()
  function ownInstance(){
    instanceStamp=Date.now()
    curScore.setMetaTag('PluginExpressionDictionaryWELastInstance', instanceStamp)
  }
  Component.onCompleted:{
    ownInstance()
    if (mscoreMajorVersion >= 4) {
        pluginscope.title = "Expression Dictionary WE"
        // some_id.thumbnailName = "thumbnail.png";
        // some_id.categoryCode = "some_caregory";
    }
  }
  onScoreStateChanged: {
    if(state.selectionChanged && curScore && curScore.metaTag('PluginExpressionDictionaryWELastInstance')===instanceStamp)  renewselectedtext()
  }
  Settings {
    id: settings
    category: "PluginExpressionDictionaryWE"
    property bool darktheme
    property bool smallerfont
    property var wiki
    property string wikiver
    property var selectedtext:[]
  }
}